#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x5f036758, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0x56c50a5b, "");
SYMBOL_CRC(__bcma_driver_register, 0x528c4ff3, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x2bf3dc7e, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xdb797c50, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x829e5883, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0xf3a2253d, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x0b9c94cb, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xf77658fa, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x9458f369, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xaa1701e6, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x24c9b260, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x0a1bb6cf, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x1bba842b, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xebccd9e5, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x2ef607ea, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x87dbe224, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x54082c33, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x63fed780, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xb5478931, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x516ab62b, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0x0ad3c7bd, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x07a7a607, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x344a819b, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x11e9a0fe, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0xc0ecef6b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6d4fa1fb, "pci_enable_device" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0x7ef7cea0, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcdb1e449, "of_address_to_resource" },
	{ 0x21896ea0, "device_unregister" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0xd3ba0530, "of_platform_default_populate" },
	{ 0x9341d393, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x427527de, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x950d8e86, "get_device" },
	{ 0xb3fd100d, "of_irq_parse_one" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0x7c9fd857, "pci_unregister_driver" },
	{ 0xe55a1115, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xd14b9b4f, "of_irq_parse_raw" },
	{ 0x6c0ec1d3, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ff49eec, "put_device" },
	{ 0x3f01c40, "_dev_info" },
	{ 0xb3e4ded6, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x90147170, "bus_unregister" },
	{ 0x8376296a, "_dev_err" },
	{ 0x698dcb10, "device_add" },
	{ 0xdb2f9913, "platform_device_unregister" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x1beb2d81, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x98a74abb, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0x184dd869, "pci_set_master" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x3b0b3837, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x834364cd, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9390b25e, "platform_device_register_full" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x727d0383, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb87d920d, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x1e18c695, "pcie_set_readrq" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0xb6382768, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xfd982a52, "of_dma_configure_id" },
	{ 0xb8957262, "driver_register" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x18c33d3a, "__dev_fwnode" },
	{ 0x554d5ad9, "pci_write_config_dword" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x68233bcc, "bus_register" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
