#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(edac_op_state, "_gpl", "");
KSYMTAB_DATA(edac_mem_types, "_gpl", "");
KSYMTAB_FUNC(edac_mc_alloc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_free, "_gpl", "");
KSYMTAB_FUNC(edac_has_mcs, "_gpl", "");
KSYMTAB_FUNC(find_mci_by_dev, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find, "", "");
KSYMTAB_FUNC(edac_get_owner, "_gpl", "");
KSYMTAB_FUNC(edac_mc_add_mc_with_groups, "_gpl", "");
KSYMTAB_FUNC(edac_mc_del_mc, "_gpl", "");
KSYMTAB_FUNC(edac_mc_find_csrow_by_page, "_gpl", "");
KSYMTAB_DATA(edac_layer_name, "_gpl", "");
KSYMTAB_FUNC(edac_raw_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_mc_handle_error, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_device_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_device_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ce_count, "_gpl", "");
KSYMTAB_FUNC(edac_device_handle_ue_count, "_gpl", "");
KSYMTAB_FUNC(edac_get_sysfs_subsys, "_gpl", "");
KSYMTAB_FUNC(edac_queue_work, "_gpl", "");
KSYMTAB_FUNC(edac_mod_work, "_gpl", "");
KSYMTAB_FUNC(edac_stop_work, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_free_ctl_info, "_gpl", "");
KSYMTAB_FUNC(edac_pci_alloc_index, "_gpl", "");
KSYMTAB_FUNC(edac_pci_add_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_del_device, "_gpl", "");
KSYMTAB_FUNC(edac_pci_create_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_release_generic_ctl, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_pe, "_gpl", "");
KSYMTAB_FUNC(edac_pci_handle_npe, "_gpl", "");

SYMBOL_CRC(edac_op_state, 0xb51fbd64, "_gpl");
SYMBOL_CRC(edac_mem_types, 0x2c8dd6b8, "_gpl");
SYMBOL_CRC(edac_mc_alloc, 0x4ca01b52, "_gpl");
SYMBOL_CRC(edac_mc_free, 0x8624b260, "_gpl");
SYMBOL_CRC(edac_has_mcs, 0xefeafcf1, "_gpl");
SYMBOL_CRC(find_mci_by_dev, 0x683ee8a1, "_gpl");
SYMBOL_CRC(edac_mc_find, 0xa225fc5c, "");
SYMBOL_CRC(edac_get_owner, 0x5ab09745, "_gpl");
SYMBOL_CRC(edac_mc_add_mc_with_groups, 0x561ae1ef, "_gpl");
SYMBOL_CRC(edac_mc_del_mc, 0x44b37e3d, "_gpl");
SYMBOL_CRC(edac_mc_find_csrow_by_page, 0x62dc6ddc, "_gpl");
SYMBOL_CRC(edac_layer_name, 0xc0dcb59e, "_gpl");
SYMBOL_CRC(edac_raw_mc_handle_error, 0xdeffa0a7, "_gpl");
SYMBOL_CRC(edac_mc_handle_error, 0xb0026f25, "_gpl");
SYMBOL_CRC(edac_device_alloc_ctl_info, 0x583a8ae7, "_gpl");
SYMBOL_CRC(edac_device_free_ctl_info, 0xa18b54dd, "_gpl");
SYMBOL_CRC(edac_device_alloc_index, 0x6e3ff83a, "_gpl");
SYMBOL_CRC(edac_device_add_device, 0x76661dd3, "_gpl");
SYMBOL_CRC(edac_device_del_device, 0x51b88fed, "_gpl");
SYMBOL_CRC(edac_device_handle_ce_count, 0x9575073c, "_gpl");
SYMBOL_CRC(edac_device_handle_ue_count, 0x7bc53b2e, "_gpl");
SYMBOL_CRC(edac_get_sysfs_subsys, 0xea57bcb1, "_gpl");
SYMBOL_CRC(edac_queue_work, 0x7d8b1ce6, "_gpl");
SYMBOL_CRC(edac_mod_work, 0xd4598c09, "_gpl");
SYMBOL_CRC(edac_stop_work, 0xc126d59f, "_gpl");
SYMBOL_CRC(edac_pci_alloc_ctl_info, 0x0d12a2f5, "_gpl");
SYMBOL_CRC(edac_pci_free_ctl_info, 0xe240ff85, "_gpl");
SYMBOL_CRC(edac_pci_alloc_index, 0x0c32ff8a, "_gpl");
SYMBOL_CRC(edac_pci_add_device, 0xce035138, "_gpl");
SYMBOL_CRC(edac_pci_del_device, 0x28b3e9df, "_gpl");
SYMBOL_CRC(edac_pci_create_generic_ctl, 0x6c8a6cda, "_gpl");
SYMBOL_CRC(edac_pci_release_generic_ctl, 0xfe3055d8, "_gpl");
SYMBOL_CRC(edac_pci_handle_pe, 0x7eb59a8a, "_gpl");
SYMBOL_CRC(edac_pci_handle_npe, 0x1e11a892, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74eef444, "try_module_get" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xa812608c, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0xb9852d11, "__traceiter_mc_event" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21896ea0, "device_unregister" },
	{ 0x100263b4, "pci_get_device" },
	{ 0x96848186, "scnprintf" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xc7c08051, "bus_get_dev_root" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe55a1115, "pci_read_config_dword" },
	{ 0x92997ed8, "_printk" },
	{ 0xf3b32174, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7ff49eec, "put_device" },
	{ 0x82c8a07a, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0xaa7f0676, "module_put" },
	{ 0x21da21a8, "sysfs_create_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x90147170, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x698dcb10, "device_add" },
	{ 0x79106468, "sysfs_remove_link" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa3521253, "mem_section" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x62c36bf1, "pci_read_config_word" },
	{ 0x9166fada, "strncpy" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf1e046cc, "panic" },
	{ 0x1d749d1e, "kobject_init_and_add" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x50b57e88, "device_register" },
	{ 0x4fb70a2d, "device_del" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xbb0a6aa3, "pm_runtime_forbid" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x89c429e4, "__tracepoint_mc_event" },
	{ 0x34bbe650, "kobject_uevent" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0xca0dbeac, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe40772e1, "param_ops_int" },
	{ 0x870c54b3, "pci_write_config_word" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x325ebb4f, "subsys_system_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa046466c, "kobject_get" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0xf61e8fb1, "kobject_put" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A60855DBEEFBAEF3AE1A235");
MODULE_INFO(rhelversion, "9.6");
