#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0xf9c4e922, "");
SYMBOL_CRC(host1x_device_exit, 0xae1a0908, "");
SYMBOL_CRC(host1x_driver_register_full, 0x4e187db5, "");
SYMBOL_CRC(host1x_driver_unregister, 0x7dc57074, "");
SYMBOL_CRC(__host1x_client_init, 0x1e21e487, "");
SYMBOL_CRC(host1x_client_exit, 0x22066e3c, "");
SYMBOL_CRC(__host1x_client_register, 0xd38162f4, "");
SYMBOL_CRC(host1x_client_unregister, 0x24a314a9, "");
SYMBOL_CRC(host1x_client_suspend, 0xd628efeb, "");
SYMBOL_CRC(host1x_client_resume, 0x1d412fdb, "");
SYMBOL_CRC(host1x_bo_pin, 0x41c0b78d, "");
SYMBOL_CRC(host1x_bo_unpin, 0x8cded6ce, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x3107547f, "");
SYMBOL_CRC(host1x_syncpt_id, 0xc5224fd2, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x82529238, "");
SYMBOL_CRC(host1x_syncpt_incr, 0xb4097182, "");
SYMBOL_CRC(host1x_syncpt_wait, 0xf6c125a8, "");
SYMBOL_CRC(host1x_syncpt_request, 0x71e148e3, "");
SYMBOL_CRC(host1x_syncpt_put, 0x70c2602a, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x937530e8, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0x214c8566, "");
SYMBOL_CRC(host1x_syncpt_read, 0x7dad92e1, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x748026de, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0xe1b41ef0, "");
SYMBOL_CRC(host1x_syncpt_get, 0xb6ba31f3, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0xb606a1d8, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0x5b37bf95, "");
SYMBOL_CRC(host1x_get_dma_mask, 0x84cc3869, "");
SYMBOL_CRC(host1x_job_submit, 0xc0f59efa, "");
SYMBOL_CRC(host1x_channel_get, 0x822a1be8, "");
SYMBOL_CRC(host1x_channel_stop, 0x6ebdbb5f, "");
SYMBOL_CRC(host1x_channel_put, 0xdb888be6, "");
SYMBOL_CRC(host1x_channel_request, 0x10db1bed, "");
SYMBOL_CRC(host1x_job_alloc, 0xd35721bb, "");
SYMBOL_CRC(host1x_job_get, 0xabc73141, "");
SYMBOL_CRC(host1x_job_put, 0x0f2c4b7c, "");
SYMBOL_CRC(host1x_job_add_gather, 0xd95ad244, "");
SYMBOL_CRC(host1x_job_add_wait, 0xbe434f1d, "");
SYMBOL_CRC(host1x_job_pin, 0x1db76f44, "");
SYMBOL_CRC(host1x_job_unpin, 0xcfcb3186, "");
SYMBOL_CRC(tegra_mipi_request, 0xc90047be, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0xfc1a1036, "");
SYMBOL_CRC(host1x_fence_cancel, 0xe1af5a7d, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x658295c3, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0xd73ebdfc, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0x9e3431e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fce7690, "iommu_map_sg" },
	{ 0xc6270a86, "platform_device_put" },
	{ 0xfc4f7009, "dma_fence_signal_locked" },
	{ 0x17bad7e8, "devm_platform_ioremap_resource" },
	{ 0xf4b713cb, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0xd611414d, "devm_request_threaded_irq" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x50712ed5, "devm_platform_get_and_ioremap_resource" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0xbebb22d9, "of_find_device_by_node" },
	{ 0x3d52ed0f, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0x6a578faf, "iommu_group_get" },
	{ 0x21896ea0, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x9645755c, "free_iova" },
	{ 0x561dbea4, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x99deaec1, "pm_generic_poweroff" },
	{ 0xe0166690, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x13639d34, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0xba3237a8, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x11953e2, "devm_clk_get" },
	{ 0x24faff77, "dma_fence_wait_timeout" },
	{ 0x73f2c9df, "__free_iova" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0x3fbb22a1, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xa513f941, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8b85a075, "iommu_detach_group" },
	{ 0x6c0ec1d3, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7ff49eec, "put_device" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0xbc3969b8, "pm_runtime_enable" },
	{ 0xf6aef69b, "alloc_iova" },
	{ 0xae91bf5c, "devm_tegra_core_dev_init_opp_table" },
	{ 0x15eb89fb, "platform_get_irq_byname_optional" },
	{ 0xa7362100, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0xb9dc385e, "pm_generic_suspend" },
	{ 0x9832edc9, "iommu_get_domain_for_dev" },
	{ 0x6e68091c, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xacb8cfee, "put_iova_domain" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0x90147170, "bus_unregister" },
	{ 0x8376296a, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0x854936b7, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x698dcb10, "device_add" },
	{ 0x85ea7fef, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xc24dead4, "iommu_domain_alloc" },
	{ 0xc3b15ef, "iommu_unmap" },
	{ 0x50b97ca0, "dma_fence_signal" },
	{ 0xc91e7e58, "bpf_trace_run5" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x393e6e9c, "dma_alloc_attrs" },
	{ 0xee30f67a, "debugfs_remove" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x88a2486f, "of_property_count_elems_of_size" },
	{ 0x1beb2d81, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdb07326e, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb7bee874, "of_device_is_available" },
	{ 0x6ee95585, "dma_fence_init" },
	{ 0x605dc92f, "mutex_lock_interruptible" },
	{ 0xfaa06f71, "host1x_context_device_bus_type" },
	{ 0x41c96f39, "bpf_trace_run1" },
	{ 0x4fb70a2d, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe2d2638a, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbfc0baf6, "debugfs_create_u32" },
	{ 0xffe12634, "devm_platform_ioremap_resource_byname" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x956f1032, "dma_set_coherent_mask" },
	{ 0xa9a4e9c7, "bpf_trace_run3" },
	{ 0xd33cf151, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x72b3c0f1, "debugfs_create_file" },
	{ 0x5cd4bceb, "dma_free_attrs" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0x7429f8c1, "__pm_runtime_resume" },
	{ 0x9d8d0ea4, "init_iova_domain" },
	{ 0x3fd2f03f, "__devm_reset_control_bulk_get" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2250e722, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8909f7c2, "seq_write" },
	{ 0x9204a18c, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd82afae, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x228eb1cd, "iommu_map" },
	{ 0x875459f8, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x781368a6, "dma_set_mask" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x7cdcf4d9, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x4e9c8f3e, "iommu_attach_group" },
	{ 0xd3966f7f, "single_open" },
	{ 0xd8f6096, "of_device_get_match_data" },
	{ 0xea50d8bb, "pm_generic_restore" },
	{ 0x50095dcb, "__pm_runtime_disable" },
	{ 0xc92e3963, "debugfs_create_dir" },
	{ 0xfd982a52, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf8c25a80, "platform_unregister_drivers" },
	{ 0x26702dbf, "pm_runtime_force_suspend" },
	{ 0xb8957262, "driver_register" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xd2aa244f, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x7d5da6f9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x68233bcc, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D99FB3E21874B3EEFDB2F4B");
MODULE_INFO(rhelversion, "9.6");
