#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0xd9720be3, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0xa06c83a3, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0xe5e4e7e5, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0x6f1088b3, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0x5a162672, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0x63b5198a, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0x55666bf1, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1ce6b2b0, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6d84af1, "misc_deregister" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0xf3560375, "coresight_disclaim_device_unlocked" },
	{ 0x96334624, "amba_driver_unregister" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0xeac36be9, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x53e83cf5, "dma_free_pages" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x6bfeb5bc, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xa4c5af9a, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x7d495fd, "dma_alloc_pages" },
	{ 0xa359cef7, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x90a6aed8, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x3a0febf9, "__free_pages" },
	{ 0x20c7cb19, "fwnode_property_read_u32_array" },
	{ 0x3f01c40, "_dev_info" },
	{ 0x11d2265b, "coresight_claim_device" },
	{ 0x9832edc9, "iommu_get_domain_for_dev" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x245cea67, "__dma_sync_single_for_cpu" },
	{ 0x8376296a, "_dev_err" },
	{ 0x60777667, "idr_alloc" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x7d561808, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5cc7ac2d, "misc_register" },
	{ 0xa78b4801, "__alloc_pages" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0xf26590cb, "nonseekable_open" },
	{ 0x956f1032, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x362c3c68, "fwnode_property_present" },
	{ 0x7429f8c1, "__pm_runtime_resume" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x88747fa4, "__dma_sync_single_for_device" },
	{ 0x91c7f2ba, "devm_ioremap_resource" },
	{ 0xe1a5e0f9, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x781368a6, "dma_set_mask" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0xd6c3ed36, "perf_aux_output_flag" },
	{ 0x6afece52, "coresight_alloc_device_name" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xf112717, "amba_driver_register" },
	{ 0x7d5da6f9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0xbbd2d580, "coresight_disclaim_device" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");

MODULE_INFO(srcversion, "EAE21FBF7A48EFFEFF1C924");
MODULE_INFO(rhelversion, "9.6");
