#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xb4613852, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x8b38495d, "_gpl");
SYMBOL_CRC(stm_data_write, 0x8ff7e56d, "_gpl");
SYMBOL_CRC(stm_register_device, 0xc124dc65, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x36cdf5c2, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x0e83bccf, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x444386e8, "_gpl");
SYMBOL_CRC(stm_source_write, 0xacabe7fe, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xf24c9d26, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74eef444, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9909f3e7, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x21896ea0, "device_unregister" },
	{ 0xba70b5b0, "pm_runtime_set_autosuspend_delay" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x446bfb79, "vm_iomap_memory" },
	{ 0xc8495fdb, "config_item_get" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x3ab9cff6, "synchronize_srcu" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xcc39d00, "configfs_unregister_subsystem" },
	{ 0x352a07e2, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7ff49eec, "put_device" },
	{ 0xbc3969b8, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xaa7f0676, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3e08291, "init_srcu_struct" },
	{ 0x9923de06, "configfs_register_subsystem" },
	{ 0x698dcb10, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0xc724720, "__srcu_read_lock" },
	{ 0x2e63dc2e, "config_group_init_type_name" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x2ffb66c7, "class_unregister" },
	{ 0x4b9e9478, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcb764ad, "memset" },
	{ 0xec8cb0e9, "__get_task_comm" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x89a69d19, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0xf26590cb, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbb0a6aa3, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7429f8c1, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x72dcafda, "config_item_put" },
	{ 0xf437bff8, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x59d557a8, "kobject_set_name" },
	{ 0x78b52034, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7ac205f, "__srcu_read_unlock" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x7cdcf4d9, "__pm_runtime_suspend" },
	{ 0xe67abec6, "__pm_runtime_use_autosuspend" },
	{ 0x50095dcb, "__pm_runtime_disable" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0x84446a3b, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x5b4c6d04, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.6");
