#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nand_extract_bits, "_gpl", "");
KSYMTAB_FUNC(nand_select_target, "_gpl", "");
KSYMTAB_FUNC(nand_deselect_target, "_gpl", "");
KSYMTAB_FUNC(nand_soft_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_gpio_waitrdy, "_gpl", "");
KSYMTAB_FUNC(nand_read_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_read_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_oob_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_begin_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_end_op, "_gpl", "");
KSYMTAB_FUNC(nand_prog_page_op, "_gpl", "");
KSYMTAB_FUNC(nand_change_write_column_op, "_gpl", "");
KSYMTAB_FUNC(nand_readid_op, "_gpl", "");
KSYMTAB_FUNC(nand_status_op, "_gpl", "");
KSYMTAB_FUNC(nand_erase_op, "_gpl", "");
KSYMTAB_FUNC(nand_reset_op, "_gpl", "");
KSYMTAB_FUNC(nand_read_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_write_data_op, "_gpl", "");
KSYMTAB_FUNC(nand_op_parser_exec_op, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_addr_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_num_addr_cyc, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_start_off, "_gpl", "");
KSYMTAB_FUNC(nand_subop_get_data_len, "_gpl", "");
KSYMTAB_FUNC(nand_reset, "_gpl", "");
KSYMTAB_FUNC(nand_check_erased_ecc_chunk, "", "");
KSYMTAB_FUNC(nand_read_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_read_page_raw, "", "");
KSYMTAB_FUNC(nand_read_oob_std, "", "");
KSYMTAB_FUNC(nand_write_oob_std, "", "");
KSYMTAB_FUNC(nand_write_page_raw, "", "");
KSYMTAB_FUNC(nand_monolithic_write_page_raw, "", "");
KSYMTAB_FUNC(nand_decode_ext_id, "_gpl", "");
KSYMTAB_FUNC(rawnand_dt_parse_gpio_cs, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_init, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_hamming_cleanup, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_init, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_correct, "", "");
KSYMTAB_FUNC(rawnand_sw_bch_cleanup, "", "");
KSYMTAB_FUNC(nand_ecc_choose_conf, "_gpl", "");
KSYMTAB_FUNC(nand_scan_with_ids, "", "");
KSYMTAB_FUNC(nand_cleanup, "_gpl", "");
KSYMTAB_FUNC(nand_wait_ready, "_gpl", "");
KSYMTAB_FUNC(nand_get_set_features_notsupp, "", "");
KSYMTAB_FUNC(nand_create_bbt, "", "");

SYMBOL_CRC(nand_extract_bits, 0x11091291, "_gpl");
SYMBOL_CRC(nand_select_target, 0x05eaea98, "_gpl");
SYMBOL_CRC(nand_deselect_target, 0x7a89624c, "_gpl");
SYMBOL_CRC(nand_soft_waitrdy, 0x5d73cd02, "_gpl");
SYMBOL_CRC(nand_gpio_waitrdy, 0x9c3f2680, "_gpl");
SYMBOL_CRC(nand_read_page_op, 0x85a7d2f3, "_gpl");
SYMBOL_CRC(nand_change_read_column_op, 0x30fc1655, "_gpl");
SYMBOL_CRC(nand_read_oob_op, 0xd32586db, "_gpl");
SYMBOL_CRC(nand_prog_page_begin_op, 0x5ef26d51, "_gpl");
SYMBOL_CRC(nand_prog_page_end_op, 0x6ef11d29, "_gpl");
SYMBOL_CRC(nand_prog_page_op, 0xaf6fe9b9, "_gpl");
SYMBOL_CRC(nand_change_write_column_op, 0xe009cb7f, "_gpl");
SYMBOL_CRC(nand_readid_op, 0xbc5b812f, "_gpl");
SYMBOL_CRC(nand_status_op, 0x10764205, "_gpl");
SYMBOL_CRC(nand_erase_op, 0xc5991ea7, "_gpl");
SYMBOL_CRC(nand_reset_op, 0x9b12124c, "_gpl");
SYMBOL_CRC(nand_read_data_op, 0xb54acbe2, "_gpl");
SYMBOL_CRC(nand_write_data_op, 0x80fce687, "_gpl");
SYMBOL_CRC(nand_op_parser_exec_op, 0x23f544fe, "_gpl");
SYMBOL_CRC(nand_subop_get_addr_start_off, 0x2d368c4c, "_gpl");
SYMBOL_CRC(nand_subop_get_num_addr_cyc, 0x5632e63d, "_gpl");
SYMBOL_CRC(nand_subop_get_data_start_off, 0xd41ff2ac, "_gpl");
SYMBOL_CRC(nand_subop_get_data_len, 0xd3c672b8, "_gpl");
SYMBOL_CRC(nand_reset, 0xe8677007, "_gpl");
SYMBOL_CRC(nand_check_erased_ecc_chunk, 0x8ecbb3b8, "");
SYMBOL_CRC(nand_read_page_raw, 0x8dd17c64, "");
SYMBOL_CRC(nand_monolithic_read_page_raw, 0x9cb87549, "");
SYMBOL_CRC(nand_read_oob_std, 0xa649a41d, "");
SYMBOL_CRC(nand_write_oob_std, 0x4c8a2103, "");
SYMBOL_CRC(nand_write_page_raw, 0xfba7e3f1, "");
SYMBOL_CRC(nand_monolithic_write_page_raw, 0x0e45cfa3, "");
SYMBOL_CRC(nand_decode_ext_id, 0xe26d32d9, "_gpl");
SYMBOL_CRC(rawnand_dt_parse_gpio_cs, 0x760ebccf, "");
SYMBOL_CRC(rawnand_sw_hamming_init, 0xbfdcda56, "");
SYMBOL_CRC(rawnand_sw_hamming_calculate, 0x0ce2ce08, "");
SYMBOL_CRC(rawnand_sw_hamming_correct, 0x3247d2b1, "");
SYMBOL_CRC(rawnand_sw_hamming_cleanup, 0x0c36d925, "");
SYMBOL_CRC(rawnand_sw_bch_init, 0xa49bad13, "");
SYMBOL_CRC(rawnand_sw_bch_correct, 0x9c0ec985, "");
SYMBOL_CRC(rawnand_sw_bch_cleanup, 0x52cb65e3, "");
SYMBOL_CRC(nand_ecc_choose_conf, 0x23284c61, "_gpl");
SYMBOL_CRC(nand_scan_with_ids, 0x95dd6598, "");
SYMBOL_CRC(nand_cleanup, 0x5358bc43, "_gpl");
SYMBOL_CRC(nand_wait_ready, 0xd96b34ef, "_gpl");
SYMBOL_CRC(nand_get_set_features_notsupp, 0x11fcd860, "");
SYMBOL_CRC(nand_create_bbt, 0xdd4eeae3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eee166c, "gpiod_get_value_cansleep" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xce750291, "mtd_read_oob" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0xb51e33f1, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x430ccb40, "gpiod_count" },
	{ 0xa1431008, "nanddev_cleanup" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x12efb3fc, "nand_get_large_page_hamming_ooblayout" },
	{ 0x4829a47e, "memcpy" },
	{ 0x35d61f49, "nand_get_large_page_ooblayout" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0472d24, "gpiod_get_index_optional" },
	{ 0xc706097e, "nanddev_init" },
	{ 0x29d8af77, "mtd_ooblayout_set_eccbytes" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x744f5ed0, "nand_ecc_is_strong_enough" },
	{ 0xa4e1f3eb, "mtd_write_oob" },
	{ 0xeb7f9594, "nand_get_small_page_ooblayout" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xce21a7a8, "of_get_nand_ecc_user_config" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x88a2486f, "of_property_count_elems_of_size" },
	{ 0xb11bd09d, "of_property_read_string" },
	{ 0xbb863800, "of_find_property" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x99f5b60e, "mtd_read" },
	{ 0xb3b0303c, "mtd_ooblayout_count_freebytes" },
	{ 0x6fcb87a1, "touch_softlockup_watchdog" },
	{ 0xdcb764ad, "memset" },
	{ 0xa790e99a, "of_property_read_u64_index" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde18a38e, "mtd_ooblayout_set_databytes" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x999e8297, "vfree" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8dd82f24, "mtd_ooblayout_find_eccregion" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2bbe1153, "mtd_ooblayout_get_databytes" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xc0f10f10, "mtd_ooblayout_get_eccbytes" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd8bd0426, "nanddev_mtd_max_bad_blocks" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0A7D5DDC1D5C2D35DE0E6E4");
MODULE_INFO(rhelversion, "9.6");
