#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xf83388c3, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x5f3e97f6, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xc96c9aa4, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xeec1b920, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xfb1912fa, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x9e9e446c, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x1ab0ccff, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x42b56b1f, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xb4a29fb7, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x631347ec, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x53a764a9, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x8659103e, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xe7939181, "_gpl");
SYMBOL_CRC(usbnet_open, 0x1b197171, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x3d738e0c, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x1d9f44d1, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xb8f06634, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xd3268041, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x21122231, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x5b710bdf, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x0cf21b00, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x9932d5cf, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x4b6f0b41, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xd97c907f, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x2999f314, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x99c28d17, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x149a60e0, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x9f3e2285, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x1503adad, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xa12be482, "");
SYMBOL_CRC(usbnet_manage_power, 0xfe879ba7, "");
SYMBOL_CRC(usbnet_link_change, 0xbd4e9542, "");
SYMBOL_CRC(usbnet_read_cmd, 0xba79b45c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xe671e375, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xdaf64099, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xf1b232ff, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x98ebc9b6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95ca7b21, "usb_set_interface" },
	{ 0xe31cebf9, "usb_string" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cffb576, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x15444802, "skb_queue_purge_reason" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x259be5f8, "usb_get_urb" },
	{ 0xea4900fe, "usb_unlink_urb" },
	{ 0x30da4bed, "usb_free_urb" },
	{ 0xa1bcb86a, "usb_submit_urb" },
	{ 0x47d3b443, "netdev_err" },
	{ 0x15680631, "mii_ethtool_get_link_ksettings" },
	{ 0xc0eded79, "mii_ethtool_set_link_ksettings" },
	{ 0xd5c62e9f, "mii_nway_restart" },
	{ 0x9ebdd626, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x54ba3c90, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x25f6eb35, "usb_scuttle_anchored_urbs" },
	{ 0xe722ae88, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xff55b07d, "free_netdev" },
	{ 0x42a267f3, "netdev_info" },
	{ 0x2a01faf, "netif_carrier_on" },
	{ 0xc46186ee, "netif_carrier_off" },
	{ 0x5c5844fd, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x286f9cf3, "usb_autopm_get_interface" },
	{ 0xa025c748, "usb_autopm_put_interface" },
	{ 0x3c02bd24, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x47b06099, "mii_link_ok" },
	{ 0x1136fcba, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xf3614629, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd08d5b37, "remove_wait_queue" },
	{ 0x4cfd44b5, "netif_device_detach" },
	{ 0xaf29cb14, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd610c16c, "skb_defer_rx_timestamp" },
	{ 0x3869aeea, "netif_rx" },
	{ 0x609ed03f, "eth_type_trans" },
	{ 0xc1c2d301, "skb_queue_tail" },
	{ 0x9f9159ed, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd6fee9cf, "__init_waitqueue_head" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0x8f6de208, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xbc3969b8, "pm_runtime_enable" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc5d237ad, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xbce8fa8d, "skb_clone_tx_timestamp" },
	{ 0xbafc392b, "usb_autopm_get_interface_async" },
	{ 0xcbc8efc6, "dev_kfree_skb_any_reason" },
	{ 0xcf1180b0, "skb_tstamp_tx" },
	{ 0xaf912de7, "usb_anchor_urb" },
	{ 0xaac42e14, "__netdev_alloc_skb" },
	{ 0x32354366, "consume_skb" },
	{ 0x6454ba8e, "netif_tx_wake_queue" },
	{ 0x75e2a4c8, "__wake_up" },
	{ 0x452556bd, "usb_autopm_get_interface_no_resume" },
	{ 0xbbc576b, "usb_get_from_anchor" },
	{ 0xe254f780, "skb_put" },
	{ 0x8e237e2a, "usb_clear_halt" },
	{ 0x3f5f300b, "eth_mac_addr" },
	{ 0x2b1eac80, "eth_validate_addr" },
	{ 0xa1079e90, "dev_get_tstats64" },
	{ 0x1d919beb, "ethtool_op_get_ts_info" },
	{ 0xe40772e1, "param_ops_int" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
