#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xac94cdd1, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x4e3bbcaa, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x75d1dfb2, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0xcace4146, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xaed25768, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xb7274166, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xfbeeabc1, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x3b267aa6, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xd12bcacb, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x5ddb364a, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x43f28ba8, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xec2e28a5, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x934b9ac2, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xf8e6101b, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x9193be83, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x7b33fffd, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x7369f462, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x1f98fcdb, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xcd5a55d6, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xa5cb9010, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0xfd09127e, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x8a8d721c, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x8e2b3906, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xf25af8fa, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x930def14, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x48de2456, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x8385032c, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x3c6519e3, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x7effec72, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x8caf2ee9, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xd1516f1b, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x61b50bde, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x6448ff47, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xeaa736a5, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x9e0bdbc4, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x34627094, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x12c0f0c2, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x4f44d59c, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x493c26f9, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xb626efa8, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x1646a541, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xebfc673d, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x2cd1df9b, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x557812aa, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x49ed556d, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xda0314de, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x89515c6b, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xa3602f87, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xfa27ec2e, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xc1e05a79, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x8f20c233, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x6725479a, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x1133138f, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x37c472fe, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xb8e223f9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xb1eec8bd, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xaa3817c7, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xa928bc99, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x1249dc8d, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x68cc9d8b, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xd35651c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b24c7a4, "set_capacity_and_notify" },
	{ 0xb722bba3, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x40740060, "set_disk_ro" },
	{ 0xd907eecb, "__blk_alloc_disk" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0x74eef444, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xccf4a60, "bio_integrity_map_user" },
	{ 0xba313740, "ida_destroy" },
	{ 0xdfd099b5, "device_remove_file_self" },
	{ 0xc924e615, "param_ops_uint" },
	{ 0x5aad1839, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0x51fce1, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x4f33c617, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x430c87ae, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xdf97a9ea, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc35c4bc, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x3ece5c48, "finish_wait" },
	{ 0x7e3e8349, "queue_limits_stack_bdev" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0x4f5c1c28, "blk_mq_unquiesce_queue" },
	{ 0xe338ed92, "blk_mq_quiesce_queue" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x95106498, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xbbd36b51, "__traceiter_block_bio_remap" },
	{ 0x773ed602, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x13639d34, "bpf_trace_run2" },
	{ 0x3d97c48c, "prepare_to_wait_event" },
	{ 0x73bdc3d4, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x75e2a4c8, "__wake_up" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0x3ab9cff6, "synchronize_srcu" },
	{ 0x995ffae, "param_ops_byte" },
	{ 0x800af422, "kmem_cache_create" },
	{ 0x950d8e86, "get_device" },
	{ 0x48a0eafa, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe9da1be, "__blk_mq_alloc_disk" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xe3a09702, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6d6005a6, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4aaacdcc, "blk_mq_alloc_tag_set" },
	{ 0x11f0e5f0, "blk_rq_is_poll" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0xa8bdcb9c, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x9b64219f, "mempool_create" },
	{ 0x51656f98, "put_disk" },
	{ 0x6bcf6ef5, "crypto_alloc_kpp" },
	{ 0x5f4a3799, "cdev_device_add" },
	{ 0x438ce783, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x4dd8e956, "blk_execute_rq" },
	{ 0x7ff49eec, "put_device" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0x58685550, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x90a6aed8, "kmalloc_node_trace" },
	{ 0xc46d266c, "mempool_alloc" },
	{ 0x1c566285, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x3a0febf9, "__free_pages" },
	{ 0x3f01c40, "_dev_info" },
	{ 0xbd96d672, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaa7f0676, "module_put" },
	{ 0x21da21a8, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa7eed6b7, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x4ed161d1, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x8cf87d8c, "blk_mq_quiesce_tagset" },
	{ 0x3075563f, "key_put" },
	{ 0xc8a1ec65, "kobject_uevent_env" },
	{ 0xf38ff365, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x3e08291, "init_srcu_struct" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0x8376296a, "_dev_err" },
	{ 0xfeda6ab8, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa9ef97bf, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x698dcb10, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x7b0eb48c, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x79106468, "sysfs_remove_link" },
	{ 0xc8a3b2c7, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc724720, "__srcu_read_lock" },
	{ 0x35362c7b, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2f56d1e2, "submit_bio_noacct" },
	{ 0x3f694345, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x3cba7d0d, "blk_sync_queue" },
	{ 0x7eb62a4a, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x71338f39, "blk_mq_alloc_request_hctx" },
	{ 0xecf35804, "__io_uring_cmd_do_in_task" },
	{ 0xfee2276e, "blk_mq_alloc_request" },
	{ 0x85551ba9, "ida_free" },
	{ 0xc284a99a, "crypto_shash_update" },
	{ 0x2ffb66c7, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb80bc6af, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdb8dd063, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4b9e9478, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x1caba994, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x83abffd0, "blk_put_queue" },
	{ 0x41c96f39, "bpf_trace_run1" },
	{ 0x4fb70a2d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0xf6a4be47, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd6fee9cf, "__init_waitqueue_head" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0xedb98fde, "io_uring_cmd_done" },
	{ 0xe8c459e6, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xd12db825, "xa_erase" },
	{ 0xa9a4e9c7, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5f4d3669, "blk_mq_complete_request" },
	{ 0x58e85c68, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0x3d3bad03, "crypto_shash_final" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbd560035, "param_ops_bool" },
	{ 0xd6052640, "blk_mq_destroy_queue" },
	{ 0x246a66, "xa_destroy" },
	{ 0x67f9011b, "blk_freeze_queue_start" },
	{ 0xe3f18c1d, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x3bfa674a, "xa_find" },
	{ 0xa8729f14, "alloc_pages" },
	{ 0xe75c8414, "mempool_destroy" },
	{ 0xba87f15d, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0xd6822237, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7ac205f, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x80e0a643, "blk_mq_unfreeze_queue" },
	{ 0x6bbbf056, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xbed1232f, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x452bd58d, "blk_rq_map_user_iov" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x291de75a, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb0182299, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xac004ed8, "crypto_alloc_shash" },
	{ 0xdb13247, "blk_mq_freeze_queue_wait" },
	{ 0x2e21f6c7, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3806c716, "blk_mq_requeue_request" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0x84446a3b, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x646633da, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4896ceaa, "bdev_end_io_acct" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0xca2ac895, "blk_steal_bios" },
	{ 0x35e5912c, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "2BA69199F63A00110B3BD1F");
MODULE_INFO(rhelversion, "9.6");
