#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb2aa8e3, "devm_thermal_add_hwmon_sysfs" },
	{ 0xc1723231, "thermal_zone_device_priv" },
	{ 0x87c357cc, "regmap_write" },
	{ 0xd611414d, "devm_request_threaded_irq" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0xb51e33f1, "of_property_read_variable_u32_array" },
	{ 0x4fca8c6c, "platform_driver_unregister" },
	{ 0xbebb22d9, "of_find_device_by_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x80519091, "nvmem_cell_get" },
	{ 0xc51bb159, "thermal_zone_device_update" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0166690, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa5d91cbf, "regmap_field_update_bits_base" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc504799f, "nvmem_cell_read_variable_le_u32" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x4b2c5922, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ff49eec, "put_device" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x6b4fef07, "regmap_field_read" },
	{ 0x3ba92f12, "devm_regmap_field_alloc" },
	{ 0x90a1c542, "debugfs_lookup" },
	{ 0x8376296a, "_dev_err" },
	{ 0x85e1098d, "platform_get_resource" },
	{ 0xee30f67a, "debugfs_remove" },
	{ 0x3a5be40e, "syscon_node_to_regmap" },
	{ 0xdb07326e, "of_match_node" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0xf072c904, "__devm_regmap_init_mmio_clk" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcaaceb1c, "__platform_driver_register" },
	{ 0xd33cf151, "seq_read" },
	{ 0x72b3c0f1, "debugfs_create_file" },
	{ 0x3155e4b2, "regmap_read" },
	{ 0x91c7f2ba, "devm_ioremap_resource" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfd82afae, "seq_printf" },
	{ 0x9aed74bb, "seq_puts" },
	{ 0x875459f8, "single_release" },
	{ 0x5dfc1c0e, "regmap_update_bits_base" },
	{ 0xc1a7c54c, "devm_thermal_of_zone_register" },
	{ 0xd3966f7f, "single_open" },
	{ 0xc92e3963, "debugfs_create_dir" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8064-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsens");
MODULE_ALIAS("of:N*T*Cqcom,ipq8074-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsens");
MODULE_ALIAS("of:N*T*Cqcom,mdm9607-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8226-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8909-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8916-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8939-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8956-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8960-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8974-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8976-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsens");
MODULE_ALIAS("of:N*T*Cqcom,msm8996-tsensC*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v1C*");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2");
MODULE_ALIAS("of:N*T*Cqcom,tsens-v2C*");

MODULE_INFO(srcversion, "EB5EE1BB07EC8B743CE28D9");
MODULE_INFO(rhelversion, "9.6");
