#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x45f59eaf, "");
SYMBOL_CRC(w1_remove_master_device, 0x9f88d2a9, "");
SYMBOL_CRC(w1_register_family, 0x8bfb1220, "");
SYMBOL_CRC(w1_unregister_family, 0x001604bb, "");
SYMBOL_CRC(w1_touch_bit, 0x63ec6ef4, "_gpl");
SYMBOL_CRC(w1_write_8, 0x97c77237, "_gpl");
SYMBOL_CRC(w1_triplet, 0xe1e59b22, "_gpl");
SYMBOL_CRC(w1_read_8, 0xf3b65a79, "_gpl");
SYMBOL_CRC(w1_write_block, 0x38cee5a6, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xbf9bf635, "_gpl");
SYMBOL_CRC(w1_read_block, 0xa4856c09, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x01008e54, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xe2bb8551, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x82675119, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x83ec40e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x21896ea0, "device_unregister" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x65ae42d2, "sysfs_remove_groups" },
	{ 0xa56a4ea, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xe3573613, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ff49eec, "put_device" },
	{ 0x3f01c40, "_dev_info" },
	{ 0x66120e8a, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x90147170, "bus_unregister" },
	{ 0x8376296a, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x394a763d, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x1beb2d81, "driver_unregister" },
	{ 0x7b87078a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc4285bc, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x50b57e88, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x67678782, "kthread_create_on_node" },
	{ 0x4d7d1f7d, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x34bbe650, "kobject_uevent" },
	{ 0x85c05a93, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe40772e1, "param_ops_int" },
	{ 0xf14392c6, "of_find_matching_node_and_match" },
	{ 0xb8957262, "driver_register" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x68233bcc, "bus_register" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.6");
