#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x87f1fb10, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xebbe4ba0, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x5676b42f, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x923dcc57, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xbbe99a2f, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x98dd040f, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x7c14fa29, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x51de8dab, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x5ea46577, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xffa4514d, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x0f9ebce5, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x8c080969, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x5be4140e, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x851cca95, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xf2a7c937, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xd2edaf84, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xc3a5d040, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xe34ebd3b, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x90bab0b1, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xf26f856a, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xbbc3f9b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x197d36f3, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5f7e3580, "icmpv6_ndo_send" },
	{ 0x1ebbb7fa, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x974b870b, "alloc_netdev_mqs" },
	{ 0xb1328109, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xff55b07d, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2ba2804, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x2d5142f9, "ip_route_output_flow" },
	{ 0x75876e0d, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xad9aaeec, "__dev_get_by_index" },
	{ 0x6a7cb69a, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x184b3985, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x76268594, "netdev_state_change" },
	{ 0x27c54427, "ns_capable" },
	{ 0xe6e88ab1, "dev_set_mtu" },
	{ 0x21f13375, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0xe562f01f, "iptunnel_xmit" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x28f51b75, "__skb_get_hash_net" },
	{ 0x1f3ade2a, "dst_cache_get_ip4" },
	{ 0xd2c5bb4b, "dst_cache_set_ip4" },
	{ 0x3d171c2f, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xcbe922f8, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x712c9e7c, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x65fa359a, "skb_scrub_packet" },
	{ 0xb7aecdb2, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0x609ed03f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "56C2F13B968610C56694FD9");
MODULE_INFO(rhelversion, "9.6");
