#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x73fbdf92, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x1825c6be, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xd32b2855, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x45d4dfb5, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xa6aa5488, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x78fa90e3, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x2ab45816, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x57938386, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x6e264b5f, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xc4b945ae, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xde5590ce, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xb76fe67d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6b677aa8, "ipv6_chk_addr_and_flags" },
	{ 0xc551593f, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xda97a3e2, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x65cc0fa2, "register_pernet_device" },
	{ 0x761744cb, "xfrm6_tunnel_register" },
	{ 0x1fa3d670, "rtnl_link_register" },
	{ 0x510a045a, "xfrm6_tunnel_deregister" },
	{ 0x81b5ca12, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2ba2804, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3895c0cd, "rt6_lookup" },
	{ 0x75876e0d, "dst_release" },
	{ 0xad9aaeec, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3bf4d885, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x21f13375, "init_net" },
	{ 0x974b870b, "alloc_netdev_mqs" },
	{ 0x8f6de208, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xff55b07d, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x29ce91bc, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x184b3985, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x712c9e7c, "__pskb_pull_tail" },
	{ 0xb1328109, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x76268594, "netdev_state_change" },
	{ 0x9ae87a5b, "make_kuid" },
	{ 0xf35a4c4f, "ip6_redirect" },
	{ 0x3bc118fb, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xfa3cb1b8, "dst_cache_get" },
	{ 0x3e6301f1, "ip6_route_output_flags" },
	{ 0x4442bea4, "xfrm_lookup" },
	{ 0x65fa359a, "skb_scrub_packet" },
	{ 0x67c13fab, "skb_realloc_headroom" },
	{ 0x8b049f96, "skb_set_owner_w" },
	{ 0x32354366, "consume_skb" },
	{ 0xd447e365, "ipv6_push_frag_opts" },
	{ 0xa00c5819, "skb_push" },
	{ 0x1288fe54, "ip6_local_out" },
	{ 0x7ce7668e, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0x96afcca, "ip6_dst_hoplimit" },
	{ 0x71e6ef04, "ipv6_dev_get_saddr" },
	{ 0xcbe922f8, "neigh_destroy" },
	{ 0xee74f894, "skb_clone" },
	{ 0xec18fd31, "skb_pull" },
	{ 0x58981aa8, "__icmpv6_send" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0xb7aecdb2, "gro_cells_receive" },
	{ 0x609ed03f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x2d5142f9, "ip_route_output_flow" },
	{ 0x62240ed6, "ip_route_input_noref" },
	{ 0x2102b089, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x7e3b0251, "iptunnel_handle_offloads" },
	{ 0x5f7e3580, "icmpv6_ndo_send" },
	{ 0x1ebbb7fa, "icmp_ndo_send" },
	{ 0xc9769d4e, "__iptunnel_pull_header" },
	{ 0x597f338d, "metadata_dst_alloc" },
	{ 0x970efa05, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x27c54427, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa1079e90, "dev_get_tstats64" },
	{ 0xbd560035, "param_ops_bool" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "AF4D10EDB179C97C7FC606E");
MODULE_INFO(rhelversion, "9.6");
