#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x19f0de84, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xac5bee2a, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x2af79deb, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca64eafb, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x56c490a1, "sock_queue_rcv_skb_reason" },
	{ 0xb0454b85, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5ede2c6e, "bpf_trace_run4" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0xff58bfd9, "radix_tree_insert" },
	{ 0xe254f780, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32354366, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x6f95d3d4, "radix_tree_lookup" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x754294c0, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0x75e2a4c8, "__wake_up" },
	{ 0x1284c93, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfd892bb9, "sk_error_report" },
	{ 0x15444802, "skb_queue_purge_reason" },
	{ 0x686d3945, "radix_tree_iter_delete" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1327434, "proto_unregister" },
	{ 0xf25d0259, "sock_register" },
	{ 0xda901b84, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0x864f9604, "__alloc_skb" },
	{ 0x3759bc9a, "rt_write_unlock" },
	{ 0xc3eaff1, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x72424cdb, "__xa_alloc" },
	{ 0xee10a6a1, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0xe601f4fc, "__traceiter_sk_data_ready" },
	{ 0x21f13375, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x876afcd6, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x3f694345, "xa_load" },
	{ 0xdb491bc7, "kernel_getsockname" },
	{ 0xccf83d3b, "do_wait_intr_irq" },
	{ 0x7a9a9d23, "sk_free" },
	{ 0xba6910ca, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xa00c5819, "skb_push" },
	{ 0xf2aea2f8, "sock_no_listen" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x2d2dca8d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x22edb44, "skb_copy_datagram_iter" },
	{ 0xfb292f54, "sk_alloc" },
	{ 0x4bccf186, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x8ea0cf2b, "sock_no_mmap" },
	{ 0xd6fee9cf, "__init_waitqueue_head" },
	{ 0x3e9b327e, "sock_no_sendpage" },
	{ 0xaac42e14, "__netdev_alloc_skb" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x8877a0d4, "__xa_insert" },
	{ 0xd12db825, "xa_erase" },
	{ 0xa9a4e9c7, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8b049f96, "skb_set_owner_w" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xad395b0e, "sock_create_kern" },
	{ 0x3bfa674a, "xa_find" },
	{ 0x17119674, "skb_recv_datagram" },
	{ 0x1a8b7b2d, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd6822237, "xa_store" },
	{ 0xee74f894, "skb_clone" },
	{ 0xc740d90a, "rt_write_lock" },
	{ 0xd0fec1b, "_copy_from_iter" },
	{ 0x485d7e0d, "sock_release" },
	{ 0xe90f8ec, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x487822eb, "iov_iter_revert" },
	{ 0xab281773, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0x5bc0119d, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x1aca9c93, "release_sock" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48BEB303FAF074C19834E70");
MODULE_INFO(rhelversion, "9.6");
