#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x3351fe0c, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x121b226d, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x94303b9c, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x3821962d, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x3735646b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb45957b, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x157452bb, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2ebfd679, "inet_addr_type_table" },
	{ 0x454131b9, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0xe2141014, "inet_unregister_protosw" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xf0fec775, "sock_wfree" },
	{ 0xe254f780, "skb_put" },
	{ 0xbc2dad41, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x443c3286, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x96afcca, "ip6_dst_hoplimit" },
	{ 0x32354366, "consume_skb" },
	{ 0x5af9b11f, "inet6_add_offload" },
	{ 0x53555fc3, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7ef7814b, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0x7b2997ab, "l3mdev_fib_table_by_index" },
	{ 0xe6f36919, "udp_sock_create4" },
	{ 0xc5d237ad, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xffb4b67d, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x3ece5c48, "finish_wait" },
	{ 0xb6327127, "skb_segment" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x3aa53c89, "__ip_dev_find" },
	{ 0xbd2c5641, "udp_tunnel6_xmit_skb" },
	{ 0x45d285f5, "sock_common_getsockopt" },
	{ 0xc7e97d3e, "inet_bind" },
	{ 0x87fd2ba0, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4938d029, "prepare_to_wait" },
	{ 0x356e8ca5, "fd_install" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2924327d, "inet_register_protosw" },
	{ 0x970efa05, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x13639d34, "bpf_trace_run2" },
	{ 0xeac8a3ae, "sock_common_setsockopt" },
	{ 0x188a4bc5, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x75e2a4c8, "__wake_up" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2d5142f9, "ip_route_output_flow" },
	{ 0xc13bd5f9, "rhashtable_walk_enter" },
	{ 0x800af422, "kmem_cache_create" },
	{ 0x179206dc, "__sk_mem_schedule" },
	{ 0xdbc442d1, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x88245b98, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x81d1200e, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xfd892bb9, "sk_error_report" },
	{ 0x262cc859, "register_pernet_subsys" },
	{ 0x51f514f2, "put_cmsg" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x501a34ce, "inet_sock_destruct" },
	{ 0xa8bdcb9c, "crypto_destroy_tfm" },
	{ 0x66f25fd0, "sock_kmalloc" },
	{ 0x6c70b475, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xfe7f5e46, "inet_getname" },
	{ 0xd1327434, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x864f9604, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xc6d0bafb, "inet_release" },
	{ 0x3759bc9a, "rt_write_unlock" },
	{ 0xa814714d, "kmem_cache_alloc" },
	{ 0xc3eaff1, "proto_register" },
	{ 0xa5ef56a6, "skb_copy_expand" },
	{ 0xb1637873, "__wake_up_sync_key" },
	{ 0x879701fe, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xf71cebf6, "inet_ctl_sock_create" },
	{ 0xa5bc861e, "inet_ioctl" },
	{ 0xfef7dd6f, "reuseport_add_sock" },
	{ 0x254a30e, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x68a23512, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x5899056d, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0xcd832c42, "fput" },
	{ 0xe601f4fc, "__traceiter_sk_data_ready" },
	{ 0xee82fadb, "inet_accept" },
	{ 0x21f13375, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa9ef97bf, "crypto_shash_setkey" },
	{ 0xec18fd31, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x7caf49e7, "inet_add_offload" },
	{ 0xe7c073ba, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x23cc5109, "inet_add_protocol" },
	{ 0xaaee5ce1, "inet_shutdown" },
	{ 0x7a9a9d23, "sk_free" },
	{ 0x7e31d06d, "sock_wake_async" },
	{ 0xc551593f, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x940f0b5, "inet_del_offload" },
	{ 0xa00c5819, "skb_push" },
	{ 0x63408820, "__ip_queue_xmit" },
	{ 0x150c4526, "kmem_cache_free" },
	{ 0x53d94ef5, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d20c6f3, "proc_doulongvec_minmax" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x68db89d7, "rhashtable_walk_start_check" },
	{ 0x27c54427, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2d2dca8d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x7b492b40, "inet6_ioctl" },
	{ 0x22edb44, "skb_copy_datagram_iter" },
	{ 0x4254cb9d, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5ee2c0b1, "idr_alloc_cyclic" },
	{ 0xfb292f54, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc2550de9, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x4eb5b650, "ip6_dst_lookup_flow" },
	{ 0x35d93564, "rhashtable_free_and_destroy" },
	{ 0x4bccf186, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xf2a6a973, "rht_bucket_nested_insert" },
	{ 0x4fde53c0, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8ea0cf2b, "sock_no_mmap" },
	{ 0xd6fee9cf, "__init_waitqueue_head" },
	{ 0x712c9e7c, "__pskb_pull_tail" },
	{ 0x3e9b327e, "sock_no_sendpage" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x29e48f23, "setup_udp_tunnel_sock" },
	{ 0xbc9064cd, "udp_sock_create6" },
	{ 0x27a4126a, "skb_trim" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6e908785, "sk_common_release" },
	{ 0xa9a4e9c7, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x3c50c398, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x5760d6c9, "rt_read_lock" },
	{ 0xe4f78354, "inet6_getname" },
	{ 0x165254d8, "sock_i_ino" },
	{ 0x9be49895, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xddd24d14, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x2bf58b5e, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8b049f96, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0x749267f1, "__skb_checksum" },
	{ 0xeb4606a5, "reuseport_alloc" },
	{ 0xc10be948, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xd583e0a5, "inet6_release" },
	{ 0x457041ab, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x212d9fda, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbd560035, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x45332b7e, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4731b5a6, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9fdb39c5, "rhltable_init" },
	{ 0xc93fa99e, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd82afae, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x56786cdb, "proc_create_net_single" },
	{ 0x983f6209, "skb_copy" },
	{ 0xee74f894, "skb_clone" },
	{ 0x1d163b78, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x75876e0d, "dst_release" },
	{ 0xc740d90a, "rt_write_lock" },
	{ 0xd0fec1b, "_copy_from_iter" },
	{ 0x485d7e0d, "sock_release" },
	{ 0xb2e50370, "inet_recv_error" },
	{ 0xa7126f90, "proc_dointvec" },
	{ 0x9aed74bb, "seq_puts" },
	{ 0xe90f8ec, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x5f42cbb4, "rhashtable_walk_next" },
	{ 0x4a91010b, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x34a3b111, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x74fa14e6, "send_sig" },
	{ 0xcc6fde97, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x6100e81, "inet6_add_protocol" },
	{ 0x864ec17e, "from_kuid_munged" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x9ddc7894, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0xb000c90b, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x71ac5949, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7989149f, "reuseport_detach_sock" },
	{ 0xdf9a776f, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x487822eb, "iov_iter_revert" },
	{ 0xac004ed8, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf46c5bc9, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5bc0119d, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x35e5912c, "kmem_cache_destroy" },
	{ 0x1aca9c93, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf1817df6, "skb_queue_head" },
	{ 0x6cb86cf4, "proc_dointvec_minmax" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "14E24BA5AED1BF51B227D4B");
MODULE_INFO(rhelversion, "9.6");
