#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x12a6e88a, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x235be6ca, "_gpl");
SYMBOL_CRC(tls_get_record, 0x5a1e30d1, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x2c766994, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x0d38b9a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8586695, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9dab3ceb, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x582048fc, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4c0dd9e8, "tcp_read_sock" },
	{ 0x5ede2c6e, "bpf_trace_run4" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0xcee6e885, "sk_page_frag_refill" },
	{ 0xe254f780, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32354366, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0xcafae25b, "sk_psock_msg_verdict" },
	{ 0xac39774f, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x7f3bd622, "iov_iter_get_pages2" },
	{ 0x4a0618c6, "___pskb_trim" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3614629, "add_wait_queue" },
	{ 0x76d69c88, "__put_devmap_managed_page_refs" },
	{ 0xa6481efd, "clean_acked_data_enable" },
	{ 0x2e90859, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9574bffe, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x321c389a, "crypto_aead_setauthsize" },
	{ 0xc0e1b67f, "crypto_aead_decrypt" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0x75e2a4c8, "__wake_up" },
	{ 0xbf36cb52, "sk_stream_error" },
	{ 0xabea70af, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91bffe72, "sk_msg_memcopy_from_iter" },
	{ 0xfd892bb9, "sk_error_report" },
	{ 0x262cc859, "register_pernet_subsys" },
	{ 0x51f514f2, "put_cmsg" },
	{ 0xcf4c03fb, "__sk_flush_backlog" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0xa8bdcb9c, "crypto_destroy_tfm" },
	{ 0xbe036ca2, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0x77e167f, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x963f70d0, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0x864f9604, "__alloc_skb" },
	{ 0x3759bc9a, "rt_write_unlock" },
	{ 0x427285cb, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x4457a70f, "tcp_recv_skb" },
	{ 0xaeffa207, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0x4206dc4a, "down_write" },
	{ 0xe601f4fc, "__traceiter_sk_data_ready" },
	{ 0x6644d320, "crypto_req_done" },
	{ 0x7116327f, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa84a4125, "crypto_aead_encrypt" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0xc91e7e58, "bpf_trace_run5" },
	{ 0x7a9a9d23, "sk_free" },
	{ 0xee07b79d, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x53d94ef5, "__sk_mem_reclaim" },
	{ 0xf00293fc, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0x809f495, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0xa9633892, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x2d2dca8d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbe41da07, "sk_msg_return_zero" },
	{ 0x605dc92f, "mutex_lock_interruptible" },
	{ 0x22edb44, "skb_copy_datagram_iter" },
	{ 0x41c96f39, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc2550de9, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x84a4b79a, "sock_efree" },
	{ 0x4db79ae6, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdc1d03a1, "clean_acked_data_disable" },
	{ 0xd6fee9cf, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x2588dc25, "sk_msg_free_partial" },
	{ 0x1afae1f2, "down_read" },
	{ 0x27a4126a, "skb_trim" },
	{ 0x2201f890, "mutex_trylock" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x5c85f34d, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97d1c43a, "tcp_register_ulp" },
	{ 0xa9a4e9c7, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x7b0e745, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc1317e9, "skb_page_frag_refill" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xc85a2ade, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa8729f14, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x89df1f58, "__folio_put" },
	{ 0x229b6341, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfd82afae, "seq_printf" },
	{ 0x56786cdb, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xee74f894, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x75876e0d, "dst_release" },
	{ 0xc740d90a, "rt_write_lock" },
	{ 0xd0fec1b, "_copy_from_iter" },
	{ 0x9473e4e, "skb_copy_header" },
	{ 0xf961c495, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd08d5b37, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xb7773a9f, "netdev_sk_get_lowest_dev" },
	{ 0x961a4f0d, "sk_msg_alloc" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x9d632968, "_copy_from_iter_nocache" },
	{ 0x75f6abbb, "tcp_rate_check_app_limited" },
	{ 0xf7d47059, "tcp_poll" },
	{ 0x487822eb, "iov_iter_revert" },
	{ 0x80e73ce1, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf149d81d, "skb_to_sgvec" },
	{ 0x909319f, "up_read" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0x2e372a60, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x22cc49f0, "tcp_read_done" },
	{ 0x1aca9c93, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
