#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x4e1ddf07, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x8696d6f4, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x4067ef5b, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x795b2053, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x74a0f1b1, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x84fa4f44, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0xdb19ea69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x416d799e, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x3b00fa81, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x1d1432e4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x798cc353, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xd1bf6464, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x7b37ebc9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x544e962a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x195656ff, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x9f47313a, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x68ddcfb3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xc48b046f, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x80dd4750, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xc5d04c66, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x6fa5f481, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x63793b1b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x2c78fbbc, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xe57c0135, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xe4d4ad18, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xc2901ec3, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xd7dc041c, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0xfded610f, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x9c499b45, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xb8a33170, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x7a869665, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x04db768a, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0xef868817, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x7c996d11, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0x4c468286, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x140ecd98, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xecb68085, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc46ac4f3, "vsock_insert_connected" },
	{ 0xe254f780, "skb_put" },
	{ 0x32354366, "consume_skb" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x140ddf6, "vsock_remove_sock" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x5e27bbe1, "vsock_deliver_tap" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf3614629, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfd892bb9, "sk_error_report" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0x50b11b99, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x864f9604, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x7a9a9d23, "sk_free" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x330f12f3, "__skb_recv_datagram" },
	{ 0x2d2dca8d, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x53ec5348, "vsock_stream_has_data" },
	{ 0x22edb44, "skb_copy_datagram_iter" },
	{ 0xea077213, "bpf_trace_run9" },
	{ 0xd13a385a, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x84a4b79a, "sock_efree" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x311c8bc7, "bpf_trace_run10" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x85bd673e, "vsock_core_get_transport" },
	{ 0x38901ef7, "__zerocopy_sg_from_iter" },
	{ 0xf9e7a35a, "vsock_stream_has_space" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8b049f96, "skb_set_owner_w" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd0fec1b, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd08d5b37, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc90187cf, "msg_zerocopy_realloc" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x3191bb9a, "vsock_create_connected" },
	{ 0x80585e3, "vsock_assign_transport" },
	{ 0x487822eb, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x2e372a60, "iov_iter_npages" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x1aca9c93, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90a7c207, "vsock_data_ready" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "CC66752BEBE17CC8EB88BBB");
MODULE_INFO(rhelversion, "9.6");
