#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x5c01624e, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x1674c84f, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x13642a66, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x92f9a44c, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0xdc780d52, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x6eb9db0d, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x0828aae8, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x479c5088, "_gpl");
SYMBOL_CRC(to_cxl_port, 0x66fcbae5, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x712e5e75, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x3e6e9ea5, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x540e633b, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x48090e6e, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x5504e8f6, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0x44ffafe9, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0xe75bdb1a, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xa321afd2, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xf13765b2, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xaab65122, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x6f79f6b0, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x21ca06bd, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x8f0bf2de, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x2c18a48d, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x3610a173, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x4cecde8c, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xa596fce2, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x98cb03a6, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xde73e57b, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0x0014b5d1, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xa45a423e, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x27014b22, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x3ae4fe53, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xf64fd687, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x598cf143, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x6d4c5f46, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0xfd2af521, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x153de276, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x38226ec7, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x3483b9aa, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xfab4ff1d, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xb1dbc916, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xac62988f, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x437e0db5, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x8cf0f923, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0x7f7b7fdc, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x6aec4889, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x200586e0, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xfc0307de, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xc8ca3cbd, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x6d5f6ecf, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x72362bf5, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0xb395e6ad, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0xc56b9525, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x6404aa77, "_gpl");
SYMBOL_CRC(cxl_memdev_setup_fw_upload, 0xc89b65ee, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x00d4415e, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x0f963b89, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x9666220c, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xccb9627a, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x9be8fa83, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xc090d9e4, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x6610e330, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x8166daa0, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xe2bab58f, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x2bf18272, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xf485fb07, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x5b32b0fc, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x8665ee0e, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x20a65b9f, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x249759e4, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x34bcbc88, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x48328587, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xc39d2657, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x24e210b4, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xe2198a14, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x73d5f279, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x0dcbd89f, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xa881d4b8, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0xead8a56f, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x2efa02c1, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x755b9c13, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x6ef4e382, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xac8e7f29, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x2735f4e5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8ef4632, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xee78e17b, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5ede2c6e, "bpf_trace_run4" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0x8a1518a5, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc35c4bc, "cdev_device_del" },
	{ 0xac39774f, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x21896ea0, "device_unregister" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x16c28ef2, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x896e9259, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x13639d34, "bpf_trace_run2" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xa69b079c, "devm_remove_action" },
	{ 0x950d8e86, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc12aa0fc, "dev_driver_string" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0xe55a1115, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x3d34c97c, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x5f4a3799, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7ff49eec, "put_device" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0x2bd366c1, "bus_for_each_dev" },
	{ 0x21da21a8, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0x23a75e6f, "sysfs_update_group" },
	{ 0x90147170, "bus_unregister" },
	{ 0x4206dc4a, "down_write" },
	{ 0xc6f47080, "devm_kfree" },
	{ 0x8376296a, "_dev_err" },
	{ 0x7116327f, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x44fa444f, "debugfs_create_bool" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x504c5b8d, "bus_find_device" },
	{ 0x698dcb10, "device_add" },
	{ 0x79106468, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3f694345, "xa_load" },
	{ 0x46b533a6, "noop_llseek" },
	{ 0xae38e3bb, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x582636a3, "kernfs_find_and_get_ns" },
	{ 0xee30f67a, "debugfs_remove" },
	{ 0x62c36bf1, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0x85551ba9, "ida_free" },
	{ 0x1beb2d81, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8641fbcd, "device_find_child" },
	{ 0x605dc92f, "mutex_lock_interruptible" },
	{ 0x1cbf49aa, "devm_release_action" },
	{ 0x4fb70a2d, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xad0c937, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xdcb764ad, "memset" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x590b5af7, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1afae1f2, "down_read" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x8877a0d4, "__xa_insert" },
	{ 0xd12db825, "xa_erase" },
	{ 0xa9a4e9c7, "bpf_trace_run3" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x1bd51098, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x2a4420b7, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x246a66, "xa_destroy" },
	{ 0x3bfa674a, "xa_find" },
	{ 0xda1c8b71, "kernfs_put" },
	{ 0x9204a18c, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd82afae, "seq_printf" },
	{ 0x78b52034, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8bfe13ab, "pci_walk_bus" },
	{ 0x859875a7, "dev_err_probe" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0x23405917, "__devm_add_action" },
	{ 0x952cc837, "pci_find_dvsec_capability" },
	{ 0xc5037391, "device_find_child_by_name" },
	{ 0xaeec6ad7, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x870c54b3, "pci_write_config_word" },
	{ 0xc92e3963, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x909319f, "up_read" },
	{ 0xb8957262, "driver_register" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x646633da, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcc7bda47, "pci_bus_type" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x68233bcc, "bus_register" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "750F0B7C208D884FFF8D815");
MODULE_INFO(rhelversion, "9.6");
