#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x734d4a20, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xdc9a7437, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x1ea3df9f, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xc8d9519b, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x7559cd95, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x44ef47ba, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x57b3e84e, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x2e87e662, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xb80af40b, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x9aa6ca07, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xbfd78e6e, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x83cb6310, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xbaa3eddf, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x26904108, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0xff1cf026, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1bb80d7, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x74eef444, "try_module_get" },
	{ 0xff69c27d, "drm_fb_helper_init" },
	{ 0x1a12941e, "drm_fb_helper_debug_enter" },
	{ 0xcce8418, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x79784880, "drm_client_buffer_vmap" },
	{ 0xda06e381, "drm_fb_helper_lastclose" },
	{ 0x25d9de63, "drm_fb_helper_setcmap" },
	{ 0xbefd16f5, "drm_fb_helper_alloc_info" },
	{ 0xa0a696a4, "drm_helper_disable_unused_functions" },
	{ 0xb7454b15, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x31523f5e, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x1baf8bae, "drm_fb_helper_fini" },
	{ 0x89c4e69e, "dma_mmap_pages" },
	{ 0xb0bc516f, "drm_client_framebuffer_delete" },
	{ 0x53e83cf5, "dma_free_pages" },
	{ 0xd114d074, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x6573776a, "drm_fb_helper_fill_info" },
	{ 0x9a8f026f, "drm_gem_create_mmap_offset" },
	{ 0x501357de, "drm_gem_object_init" },
	{ 0xc12aa0fc, "dev_driver_string" },
	{ 0x35f787af, "drm_fb_helper_hotplug_event" },
	{ 0x11bafec4, "fb_sys_write" },
	{ 0x7ae76194, "sys_imageblit" },
	{ 0x661e49be, "drm_atomic_helper_damage_iter_init" },
	{ 0xe965dd13, "drm_fb_helper_blank" },
	{ 0x7d495fd, "dma_alloc_pages" },
	{ 0xb77a34c0, "drm_gem_private_object_init" },
	{ 0x7e005f07, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6ca8f631, "sys_fillrect" },
	{ 0xaa7f0676, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x342ad24b, "drm_client_init" },
	{ 0x57cf0ca, "drm_gem_vm_close" },
	{ 0xf61dee4, "drm_gem_vm_open" },
	{ 0xc3fe2d78, "drm_fb_helper_prepare" },
	{ 0x8376296a, "_dev_err" },
	{ 0xab7efd15, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x393e6e9c, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x320b01b0, "drm_gem_handle_create" },
	{ 0xe8b49710, "drm_gem_fb_get_obj" },
	{ 0x83d6948d, "__drm_dev_dbg" },
	{ 0xc022bdd7, "drm_fb_helper_pan_display" },
	{ 0x9a0d70b8, "drm_client_release" },
	{ 0xcd0736d6, "sys_copyarea" },
	{ 0x5cd4bceb, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x88747fa4, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1956054c, "drm_client_buffer_vunmap" },
	{ 0x989f2bb8, "fb_sys_read" },
	{ 0x5a691735, "drm_fb_helper_debug_leave" },
	{ 0x52f18636, "dma_buf_vmap_unlocked" },
	{ 0x3a09d902, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5abe2b55, "dma_get_sgtable_attrs" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x333e5dd2, "drm_fb_helper_initial_config" },
	{ 0x35f75ae9, "drm_fb_helper_unregister_info" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0xca8dddc1, "drm_fb_helper_ioctl" },
	{ 0xdcfed4e3, "drm_fb_helper_set_par" },
	{ 0x8ec09244, "drm_prime_gem_destroy" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
MODULE_INFO(rhelversion, "9.6");
