#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce953ff0, "drm_mode_config_helper_resume" },
	{ 0x2b30469f, "drm_mode_config_helper_suspend" },
	{ 0x8b0979bc, "drm_atomic_helper_shutdown" },
	{ 0xedc03953, "iounmap" },
	{ 0x727d0383, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xec9c2c18, "drm_dev_unplug" },
	{ 0x2a2daa72, "drm_dev_put" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x9a39f58d, "drm_gem_fb_create" },
	{ 0x7c9fd857, "pci_unregister_driver" },
	{ 0x2e4dfc23, "drm_add_edid_modes" },
	{ 0xa1cf8282, "drm_add_modes_noedid" },
	{ 0x7f9dfa8d, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x9341d393, "__pci_register_driver" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xf18300ad, "logic_inb" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0x68fa22bd, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xe4ff36d1, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0xbceea921, "drm_do_get_edid" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc34f6861, "drm_connector_attach_edid_property" },
	{ 0xfc8eb059, "drm_connector_update_edid_property" },
	{ 0x736abaa0, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xdc55d778, "drm_dev_alloc" },
	{ 0x457bc36d, "pcim_enable_device" },
	{ 0x902bcaff, "drmm_kmalloc" },
	{ 0xbcd469ea, "drmm_vram_helper_init" },
	{ 0xd0de07a6, "drmm_mode_config_init" },
	{ 0x72b214c1, "drm_simple_display_pipe_init" },
	{ 0xe9041a4c, "drm_mode_config_reset" },
	{ 0x49c4ae32, "drm_dev_register" },
	{ 0xe3d216fb, "drm_fbdev_generic_setup" },
	{ 0xadcc6e67, "drm_gem_vram_offset" },
	{ 0x9d3aead9, "drm_dev_enter" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x480e9472, "drm_atomic_helper_connector_reset" },
	{ 0x645143e5, "drm_helper_probe_single_connector_modes" },
	{ 0xd319f3e9, "drm_connector_cleanup" },
	{ 0xa96883de, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xd751e57b, "drm_atomic_helper_connector_destroy_state" },
	{ 0xa86c83f2, "drm_vram_mm_debugfs_init" },
	{ 0xd5c334d, "drm_gem_vram_driver_dumb_create" },
	{ 0x36e9117a, "drm_gem_ttm_dumb_map_offset" },
	{ 0xe6cb9667, "drm_vram_helper_mode_valid" },
	{ 0x9cc401d0, "drm_atomic_helper_check" },
	{ 0xbdf7a967, "drm_atomic_helper_commit" },
	{ 0x9f44ce5f, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xdd886b21, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0x46b533a6, "noop_llseek" },
	{ 0x4519abba, "drm_read" },
	{ 0xf966f4a3, "drm_poll" },
	{ 0xa669ff25, "drm_ioctl" },
	{ 0x994cf733, "drm_gem_mmap" },
	{ 0xbf41ef0e, "drm_open" },
	{ 0xffe5bf50, "drm_release" },
	{ 0xe40772e1, "param_ops_int" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "drm_kms_helper,drm,drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");
MODULE_INFO(rhelversion, "9.6");
