#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xe07fb4f6, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0xec364a52, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0xe2f410f3, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0xac67fdb0, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0x11d2265b, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0xf3560375, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0xbbd2d580, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0x9a410bd4, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0x0f709ea5, "_gpl");
SYMBOL_CRC(coresight_disable, 0x73a9aba5, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x6bfeb5bc, "_gpl");
SYMBOL_CRC(coresight_unregister, 0xa359cef7, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0x5cbdd7ef, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0x6afece52, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0x4e45c8e2, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0xf9fe977c, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0x7a5bd554, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0x1ce6b2b0, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0xba454610, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0x29617069, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x9c7a251c, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x9b932fb1, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0x82ace141, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0x763d3c79, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0xa2924b6f, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0xdfa85045, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95833d7c, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x74eef444, "try_module_get" },
	{ 0xff6c8ed0, "is_acpi_device_node" },
	{ 0x2659d559, "of_fwnode_ops" },
	{ 0x9909f3e7, "config_group_init" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0xb0cd1c55, "of_get_next_parent" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0x3423bc88, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x95db070a, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x33a74a3a, "sysfs_add_file_to_group" },
	{ 0x21896ea0, "device_unregister" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x7a504ce8, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0xc5b36032, "processors" },
	{ 0x267c663, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x950d8e86, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcc39d00, "configfs_unregister_subsystem" },
	{ 0xa7040e08, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xcb19ea11, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ff49eec, "put_device" },
	{ 0x90a6aed8, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x2bd366c1, "bus_for_each_dev" },
	{ 0x3f01c40, "_dev_info" },
	{ 0x1acc9441, "config_item_set_name" },
	{ 0xaa7f0676, "module_put" },
	{ 0x21da21a8, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0xe2fa27a0, "sysfs_remove_link_from_group" },
	{ 0x3415962b, "perf_pmu_register" },
	{ 0x9afd574a, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x90147170, "bus_unregister" },
	{ 0xc6f47080, "devm_kfree" },
	{ 0x8376296a, "_dev_err" },
	{ 0x504c5b8d, "bus_find_device" },
	{ 0x9923de06, "configfs_register_subsystem" },
	{ 0x85ea7fef, "__of_parse_phandle_with_args" },
	{ 0x79106468, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2e63dc2e, "config_group_init_type_name" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xf1bc4ac0, "perf_pmu_unregister" },
	{ 0xbb863800, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xc6377f5, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa1104b8e, "of_graph_get_next_endpoint" },
	{ 0x2d7201bc, "sysfs_remove_file_from_group" },
	{ 0x7b87078a, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x50b57e88, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x403ce99a, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x28bc57d8, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xff9adbac, "devm_kasprintf" },
	{ 0x4d7d1f7d, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x362c3c68, "fwnode_property_present" },
	{ 0x7429f8c1, "__pm_runtime_resume" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xafa5d01e, "acpi_fetch_acpi_dev" },
	{ 0xb2e736c, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd50098a7, "amba_bustype" },
	{ 0x9204a18c, "platform_bus_type" },
	{ 0xe6e404a8, "sysfs_add_link_to_group" },
	{ 0xe1a5e0f9, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x362fceb9, "of_node_name_eq" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x1752cbe, "fwnode_handle_put" },
	{ 0xd6c3ed36, "perf_aux_output_flag" },
	{ 0xc47f204d, "configfs_unregister_group" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x7d5da6f9, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x18c33d3a, "__dev_fwnode" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x68233bcc, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
