#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x4f2febd5, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x0c922774, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0xbda34f73, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0xe1974fa4, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x9b869d2b, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xd1c1583e, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x52631891, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x1605b63b, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x99beff08, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x23255cbf, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0xa70db4ed, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x95f30e3e, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x06f9d097, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xf8e9bbf9, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x00f2a4a7, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0xe8bc2080, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x4c33cbac, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xc3c1df5b, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xf0dfcdb8, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x33d3cc1c, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x67dd5e40, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x2840faab, "_gpl");
SYMBOL_CRC(i3c_master_register, 0xae017118, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x3003c8e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd9588b0c, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0xb51e33f1, "of_property_read_variable_u32_array" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21896ea0, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x55e5b6a7, "of_get_next_available_child" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ff49eec, "put_device" },
	{ 0x57b52bc9, "i2c_del_adapter" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x90147170, "bus_unregister" },
	{ 0x4206dc4a, "down_write" },
	{ 0x8376296a, "_dev_err" },
	{ 0x7116327f, "up_write" },
	{ 0x698dcb10, "device_add" },
	{ 0x60777667, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x1beb2d81, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x210c50b0, "i2c_new_client_device" },
	{ 0x50b57e88, "device_register" },
	{ 0x4fb70a2d, "device_del" },
	{ 0x5e3a2db, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x1afae1f2, "down_read" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x16cf4a47, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x7af87907, "of_i2c_get_board_info" },
	{ 0x909319f, "up_read" },
	{ 0xb8957262, "driver_register" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x68233bcc, "bus_register" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E5A314C6B103C96E296945");
MODULE_INFO(rhelversion, "9.6");
