#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x576814c4, "regulator_enable" },
	{ 0x8356f143, "regulator_disable" },
	{ 0x660b1f1c, "regmap_get_device" },
	{ 0x7429f8c1, "__pm_runtime_resume" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x60806df9, "regmap_bulk_read" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x7d5da6f9, "__pm_runtime_idle" },
	{ 0x98d25bba, "__dynamic_dev_dbg" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x50095dcb, "__pm_runtime_disable" },
	{ 0xb2b208c0, "acpi_dev_state_d0" },
	{ 0x352a07e2, "__pm_runtime_set_status" },
	{ 0xdcb764ad, "memset" },
	{ 0xfdf64311, "i2c_get_match_data" },
	{ 0xa4a0faea, "device_property_read_u32_array" },
	{ 0x7f13c9bf, "device_property_present" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0xeaacedf6, "__devm_regmap_init_i2c" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0x47442083, "devm_regulator_get" },
	{ 0x79a06301, "devm_i2c_new_dummy_device" },
	{ 0xbc3969b8, "pm_runtime_enable" },
	{ 0x99744738, "devm_nvmem_register" },
	{ 0x3f01c40, "_dev_info" },
	{ 0x3bd914c, "device_property_read_string" },
	{ 0x859875a7, "dev_err_probe" },
	{ 0x210c50b0, "i2c_new_client_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8376296a, "_dev_err" },
	{ 0x92997ed8, "_printk" },
	{ 0xa0d1b6f2, "i2c_register_driver" },
	{ 0xa1c135d3, "i2c_del_driver" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4a2803ef, "regmap_bulk_write" },
	{ 0x26702dbf, "pm_runtime_force_suspend" },
	{ 0x2250e722, "pm_runtime_force_resume" },
	{ 0xc924e615, "param_ops_uint" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:INT3499:*");
MODULE_ALIAS("acpi*:TPF0001:*");
MODULE_ALIAS("of:N*T*Catmel,24c00");
MODULE_ALIAS("of:N*T*Catmel,24c00C*");
MODULE_ALIAS("of:N*T*Catmel,24c01");
MODULE_ALIAS("of:N*T*Catmel,24c01C*");
MODULE_ALIAS("of:N*T*Catmel,24cs01");
MODULE_ALIAS("of:N*T*Catmel,24cs01C*");
MODULE_ALIAS("of:N*T*Catmel,24c02");
MODULE_ALIAS("of:N*T*Catmel,24c02C*");
MODULE_ALIAS("of:N*T*Catmel,24cs02");
MODULE_ALIAS("of:N*T*Catmel,24cs02C*");
MODULE_ALIAS("of:N*T*Catmel,24mac402");
MODULE_ALIAS("of:N*T*Catmel,24mac402C*");
MODULE_ALIAS("of:N*T*Catmel,24mac602");
MODULE_ALIAS("of:N*T*Catmel,24mac602C*");
MODULE_ALIAS("of:N*T*Catmel,spd");
MODULE_ALIAS("of:N*T*Catmel,spdC*");
MODULE_ALIAS("of:N*T*Catmel,24c04");
MODULE_ALIAS("of:N*T*Catmel,24c04C*");
MODULE_ALIAS("of:N*T*Catmel,24cs04");
MODULE_ALIAS("of:N*T*Catmel,24cs04C*");
MODULE_ALIAS("of:N*T*Catmel,24c08");
MODULE_ALIAS("of:N*T*Catmel,24c08C*");
MODULE_ALIAS("of:N*T*Catmel,24cs08");
MODULE_ALIAS("of:N*T*Catmel,24cs08C*");
MODULE_ALIAS("of:N*T*Catmel,24c16");
MODULE_ALIAS("of:N*T*Catmel,24c16C*");
MODULE_ALIAS("of:N*T*Catmel,24cs16");
MODULE_ALIAS("of:N*T*Catmel,24cs16C*");
MODULE_ALIAS("of:N*T*Catmel,24c32");
MODULE_ALIAS("of:N*T*Catmel,24c32C*");
MODULE_ALIAS("of:N*T*Catmel,24c32d-wl");
MODULE_ALIAS("of:N*T*Catmel,24c32d-wlC*");
MODULE_ALIAS("of:N*T*Catmel,24cs32");
MODULE_ALIAS("of:N*T*Catmel,24cs32C*");
MODULE_ALIAS("of:N*T*Catmel,24c64");
MODULE_ALIAS("of:N*T*Catmel,24c64C*");
MODULE_ALIAS("of:N*T*Catmel,24c64d-wl");
MODULE_ALIAS("of:N*T*Catmel,24c64d-wlC*");
MODULE_ALIAS("of:N*T*Catmel,24cs64");
MODULE_ALIAS("of:N*T*Catmel,24cs64C*");
MODULE_ALIAS("of:N*T*Catmel,24c128");
MODULE_ALIAS("of:N*T*Catmel,24c128C*");
MODULE_ALIAS("of:N*T*Catmel,24c256");
MODULE_ALIAS("of:N*T*Catmel,24c256C*");
MODULE_ALIAS("of:N*T*Catmel,24c512");
MODULE_ALIAS("of:N*T*Catmel,24c512C*");
MODULE_ALIAS("of:N*T*Catmel,24c1024");
MODULE_ALIAS("of:N*T*Catmel,24c1024C*");
MODULE_ALIAS("of:N*T*Catmel,24c1025");
MODULE_ALIAS("of:N*T*Catmel,24c1025C*");
MODULE_ALIAS("of:N*T*Catmel,24c2048");
MODULE_ALIAS("of:N*T*Catmel,24c2048C*");
MODULE_ALIAS("i2c:24c00");
MODULE_ALIAS("i2c:24c01");
MODULE_ALIAS("i2c:24cs01");
MODULE_ALIAS("i2c:24c02");
MODULE_ALIAS("i2c:24cs02");
MODULE_ALIAS("i2c:24mac402");
MODULE_ALIAS("i2c:24mac602");
MODULE_ALIAS("i2c:spd");
MODULE_ALIAS("i2c:24c02-vaio");
MODULE_ALIAS("i2c:24c04");
MODULE_ALIAS("i2c:24cs04");
MODULE_ALIAS("i2c:24c08");
MODULE_ALIAS("i2c:24cs08");
MODULE_ALIAS("i2c:24c16");
MODULE_ALIAS("i2c:24cs16");
MODULE_ALIAS("i2c:24c32");
MODULE_ALIAS("i2c:24c32d-wl");
MODULE_ALIAS("i2c:24cs32");
MODULE_ALIAS("i2c:24c64");
MODULE_ALIAS("i2c:24c64-wl");
MODULE_ALIAS("i2c:24cs64");
MODULE_ALIAS("i2c:24c128");
MODULE_ALIAS("i2c:24c256");
MODULE_ALIAS("i2c:24c512");
MODULE_ALIAS("i2c:24c1024");
MODULE_ALIAS("i2c:24c1025");
MODULE_ALIAS("i2c:24c2048");
MODULE_ALIAS("i2c:at24");

MODULE_INFO(srcversion, "A03870279850AE0AA19C683");
MODULE_INFO(rhelversion, "9.6");
