#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x60112196, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0xc7803ba9, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x9dc30d85, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x02279b15, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x3a1dac66, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xde1668b4, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x1637db44, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0xeb761239, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0xbce30c52, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x19aa4fcb, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xec5ff236, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x0e3fd142, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xd79609f1, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xbb292769, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x74eef444, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd9588b0c, "__init_rwsem" },
	{ 0xf6d84af1, "misc_deregister" },
	{ 0x77847c42, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0x3a26cdc1, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc35c4bc, "cdev_device_del" },
	{ 0x21896ea0, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xe0166690, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x800af422, "kmem_cache_create" },
	{ 0x950d8e86, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x942eb5fc, "get_mtd_device_nm" },
	{ 0xaeda3eb3, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa8e1659f, "blocking_notifier_chain_register" },
	{ 0x6247432d, "get_mtd_device" },
	{ 0xe3573613, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x5f4a3799, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xeb852cb9, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7ff49eec, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xa814714d, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaa7f0676, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x69fa814a, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd73a12eb, "mtd_block_markbad" },
	{ 0x4206dc4a, "down_write" },
	{ 0x7116327f, "up_write" },
	{ 0xe3a63948, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xefff028a, "mutex_lock" },
	{ 0x150c4526, "kmem_cache_free" },
	{ 0xee30f67a, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x74c674b6, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xbe1a63e, "put_mtd_device" },
	{ 0x2ffb66c7, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x99f5b60e, "mtd_read" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc4285bc, "kthread_stop" },
	{ 0x3bd12ee0, "freezing_slow_path" },
	{ 0x50b57e88, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x6d9da9cc, "kern_path" },
	{ 0x5cc7ac2d, "misc_register" },
	{ 0xece784c2, "rb_first" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0xadd0a005, "mtd_erase" },
	{ 0xe17db32e, "down_write_trylock" },
	{ 0x1afae1f2, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x67678782, "kthread_create_on_node" },
	{ 0xd33cf151, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa8527575, "mtd_write" },
	{ 0x72b3c0f1, "debugfs_create_file" },
	{ 0x209afa5b, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd82afae, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x31cf9a75, "mtd_get_device_size" },
	{ 0x9aed74bb, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x587143e0, "seq_open" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xc92e3963, "debugfs_create_dir" },
	{ 0x2a3d5db0, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x909319f, "up_read" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0x84446a3b, "class_register" },
	{ 0x646633da, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0xe8f0d63e, "cdev_del" },
	{ 0x35e5912c, "kmem_cache_destroy" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18E06EF4ACF2803F0FC3B3A");
MODULE_INFO(rhelversion, "9.6");
