#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x3af4871f, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xe94e8435, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x84feca57, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xdcdc39f8, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x62e0ce8b, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xa1e7dae5, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5f7eb3f, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x368c533, "xsk_tx_completed" },
	{ 0xf3defa55, "napi_alloc_skb" },
	{ 0x4cc7894b, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x65e7ca51, "xp_alloc" },
	{ 0x43b0f099, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcc0980ec, "bpf_prog_put" },
	{ 0xc2e97a71, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xeb714567, "xp_dma_map" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xfe368b16, "devm_kmalloc" },
	{ 0x3f5f300b, "eth_mac_addr" },
	{ 0xe254f780, "skb_put" },
	{ 0xcf1180b0, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8e97e2fb, "netdev_update_features" },
	{ 0x32354366, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xee5082d0, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x230d2639, "hrtimer_try_to_cancel" },
	{ 0x153341f8, "bpf_warn_invalid_xdp_action" },
	{ 0x54ba3c90, "unregister_netdev" },
	{ 0x907c21c1, "xdp_convert_zc_to_xdp_frame" },
	{ 0x538986dc, "xdp_features_set_redirect_target" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0xf2f8fc1d, "gpiod_set_value_cansleep" },
	{ 0xeac36be9, "dma_unmap_page_attrs" },
	{ 0x5a0cdb01, "hrtimer_init" },
	{ 0xd31a2136, "skb_add_rx_frag" },
	{ 0xf72bfb96, "get_device_system_crosststamp" },
	{ 0x5dd7e88c, "ptp_clock_index" },
	{ 0x5f028f4a, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0166690, "seq_lseek" },
	{ 0x997c0f39, "page_pool_destroy" },
	{ 0x737d6e8f, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb5f045d7, "netdev_warn" },
	{ 0xebbd55d1, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x75e2a4c8, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xcb94f8dd, "flow_rule_match_ipv4_addrs" },
	{ 0x88c1a8cf, "xdp_rxq_info_unreg_mem_model" },
	{ 0xda11d0e9, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x47d3b443, "netdev_err" },
	{ 0xb83d44f5, "phylink_limit_mac_speed" },
	{ 0xcdeaa8af, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xc12aa0fc, "dev_driver_string" },
	{ 0xdec91ce9, "pinctrl_pm_select_default_state" },
	{ 0xcc2aa0c0, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x609ed03f, "eth_type_trans" },
	{ 0x352a07e2, "__pm_runtime_set_status" },
	{ 0xa4c5af9a, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xaec88cce, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x7c48ef56, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf1eab70a, "pm_wakeup_dev_event" },
	{ 0x34cc46f, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x255ee9bf, "__napi_schedule" },
	{ 0xbc3969b8, "pm_runtime_enable" },
	{ 0xfd1f6555, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x4cfd44b5, "netif_device_detach" },
	{ 0xa4a0faea, "device_property_read_u32_array" },
	{ 0xbe4718df, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x3759bc9a, "rt_write_unlock" },
	{ 0x3f01c40, "_dev_info" },
	{ 0x77883760, "xpcs_create_mdiodev" },
	{ 0x219f355b, "napi_gro_receive" },
	{ 0xaf29cb14, "netif_device_attach" },
	{ 0x3a28b374, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x5d54c0ef, "netdev_pick_tx" },
	{ 0xb35e5942, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5c25c05, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7384190f, "xdp_rxq_info_is_reg" },
	{ 0x7f19b012, "devm_alloc_etherdev_mqs" },
	{ 0xb9992f14, "flow_block_cb_setup_simple" },
	{ 0x9f62c3a6, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x9b4aa005, "dev_open" },
	{ 0x245cea67, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x8376296a, "_dev_err" },
	{ 0x866a65d4, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x75df35e4, "pinctrl_pm_select_sleep_state" },
	{ 0xec18fd31, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xec58a771, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9cefb6f1, "ptp_clock_register" },
	{ 0x8a642be9, "xp_dma_sync_for_cpu_slow" },
	{ 0x5ef89443, "xsk_tx_peek_desc" },
	{ 0x514cd38e, "__of_mdiobus_register" },
	{ 0xf1dc5b25, "__traceiter_xdp_exception" },
	{ 0xe8761bd6, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x2d563ae, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xc6803101, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x393e6e9c, "dma_alloc_attrs" },
	{ 0xee30f67a, "debugfs_remove" },
	{ 0xf7b0504b, "napi_enable" },
	{ 0xdbc319dd, "xsk_clear_rx_need_wakeup" },
	{ 0x248d291f, "xpcs_get_interfaces" },
	{ 0x1d625aa5, "xsk_uses_need_wakeup" },
	{ 0x8f6de208, "register_netdev" },
	{ 0x6499513c, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7a11f6d8, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xcedbb7d7, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1136fcba, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x6454ba8e, "netif_tx_wake_queue" },
	{ 0x640854cd, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x94ebd4df, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x2f8ae211, "_dev_warn" },
	{ 0x88e000a5, "flow_rule_match_ports" },
	{ 0x2ad78ef4, "phylink_fwnode_phy_connect" },
	{ 0xd62fc56c, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb640bfdf, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x1af13ba6, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x89a100d1, "fwnode_get_named_child_node" },
	{ 0xd6fee9cf, "__init_waitqueue_head" },
	{ 0x7aa1832e, "ptp_clock_unregister" },
	{ 0xec448452, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x7cd62ae5, "xpcs_get_an_mode" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2cffb576, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6a655712, "xdp_return_frame_rx_napi" },
	{ 0xdd23d2cf, "netdev_alert" },
	{ 0x956f1032, "dma_set_coherent_mask" },
	{ 0xd33cf151, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x7e53d6aa, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x5760d6c9, "rt_read_lock" },
	{ 0xc3c972ed, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x72b3c0f1, "debugfs_create_file" },
	{ 0x70286b06, "xsk_set_tx_need_wakeup" },
	{ 0x5cd4bceb, "dma_free_attrs" },
	{ 0x7429f8c1, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x88747fa4, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8e70036d, "xp_set_rxq_info" },
	{ 0xf8360cf7, "flow_rule_match_vlan" },
	{ 0x224be9a3, "xdp_rxq_info_unreg" },
	{ 0xc74b5d1b, "page_pool_alloc_pages" },
	{ 0x1e6792de, "__xdp_rxq_info_reg" },
	{ 0x4731b5a6, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc46186ee, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xfd82afae, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xcf5198f4, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x2a01faf, "netif_carrier_on" },
	{ 0xc740d90a, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8494cfce, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xf0942a8b, "xp_free" },
	{ 0x875459f8, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x781368a6, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x859875a7, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x12c5fe9f, "xdp_master_redirect" },
	{ 0x1752cbe, "fwnode_handle_put" },
	{ 0x3e7fe4cb, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0xe745ede4, "napi_schedule_prep" },
	{ 0x4f40cae, "napi_disable" },
	{ 0xcbc8efc6, "dev_kfree_skb_any_reason" },
	{ 0xc4e274df, "eth_header_parse_protocol" },
	{ 0xe40772e1, "param_ops_int" },
	{ 0xd3966f7f, "single_open" },
	{ 0x50095dcb, "__pm_runtime_disable" },
	{ 0xc92e3963, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xbce8fa8d, "skb_clone_tx_timestamp" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x7d5da6f9, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d919beb, "ethtool_op_get_ts_info" },
	{ 0xba747e88, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x18c33d3a, "__dev_fwnode" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x42a267f3, "netdev_info" },
	{ 0x9ea8db82, "page_pool_put_unrefed_page" },
	{ 0x8ded1f9e, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "2BBB73C3BC82288040E2149");
MODULE_INFO(rhelversion, "9.6");
