#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x6efbb386, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x95b7fa02, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x18aa0e1a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1fa3d670, "rtnl_link_register" },
	{ 0xe66bcde2, "genl_register_family" },
	{ 0x29ce91bc, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8bdcb9c, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9574bffe, "crypto_alloc_aead" },
	{ 0xaeffa207, "crypto_aead_setkey" },
	{ 0x321c389a, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xec18fd31, "skb_pull" },
	{ 0x4a0618c6, "___pskb_trim" },
	{ 0xdd4265e3, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x8cc2e97f, "dev_mc_sync" },
	{ 0x3fcc631e, "dev_uc_sync" },
	{ 0xb762bba7, "dev_set_allmulti" },
	{ 0xba0c369e, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa1363cd2, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xad9aaeec, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xee74f894, "skb_clone" },
	{ 0x78500eb4, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb1328109, "register_netdevice" },
	{ 0x6a6d7ff, "netdev_upper_dev_link" },
	{ 0x6b9f7cc, "netdev_upper_dev_unlink" },
	{ 0x2ba2804, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x597f338d, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5272e6cd, "netif_stacked_transfer_operstate" },
	{ 0xece9076, "linkwatch_fire_event" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x1ab6deae, "netdev_rx_handler_register" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa5ef56a6, "skb_copy_expand" },
	{ 0x32354366, "consume_skb" },
	{ 0xa00c5819, "skb_push" },
	{ 0xe254f780, "skb_put" },
	{ 0x62820234, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf149d81d, "skb_to_sgvec" },
	{ 0xa84a4125, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x983f6209, "skb_copy" },
	{ 0x27a4126a, "skb_trim" },
	{ 0x34b1e501, "metadata_dst_free" },
	{ 0x4b28c383, "__dev_queue_xmit" },
	{ 0x75876e0d, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x184b3985, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc0e1b67f, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xae331a8e, "netdev_rx_handler_unregister" },
	{ 0xe6e88ab1, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xc46186ee, "netif_carrier_off" },
	{ 0xf9a993c, "dev_mc_unsync" },
	{ 0x7e111aea, "dev_uc_unsync" },
	{ 0x90809dc8, "dev_uc_del" },
	{ 0x7955a0a3, "dev_uc_add" },
	{ 0x2a01faf, "netif_carrier_on" },
	{ 0x609ed03f, "eth_type_trans" },
	{ 0xb7aecdb2, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8e350e26, "genlmsg_put" },
	{ 0x712c9e7c, "__pskb_pull_tail" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "40F803C02024F8CEAD57141");
MODULE_INFO(rhelversion, "9.6");
