#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0x211e89bd, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x1477777c, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x99a33d44, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7f13c9bf, "device_property_present" },
	{ 0x99529468, "usb_hcd_platform_shutdown" },
	{ 0xff6c8ed0, "is_acpi_device_node" },
	{ 0x2659d559, "of_fwnode_ops" },
	{ 0xc2e97a71, "device_set_wakeup_capable" },
	{ 0x2ac7da10, "xhci_suspend" },
	{ 0x50712ed5, "devm_platform_get_and_ioremap_resource" },
	{ 0x4fca8c6c, "platform_driver_unregister" },
	{ 0x3d52ed0f, "platform_get_irq" },
	{ 0xcdf22a2b, "xhci_gen_setup" },
	{ 0x266904f5, "of_usb_host_tpl_support" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x991924b3, "devm_usb_get_phy_by_phandle" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x85f43417, "devm_reset_control_array_get" },
	{ 0x352a07e2, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc3969b8, "pm_runtime_enable" },
	{ 0xa4a0faea, "device_property_read_u32_array" },
	{ 0xfed2a816, "of_match_device" },
	{ 0x8376296a, "_dev_err" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xf22e08f7, "xhci_resume" },
	{ 0x9354c34e, "xhci_run" },
	{ 0x52d5d15e, "usb_hcd_is_primary_hcd" },
	{ 0x71f33ed8, "xhci_init_driver" },
	{ 0xb86c6fd7, "usb_put_hcd" },
	{ 0xcaaceb1c, "__platform_driver_register" },
	{ 0x956f1032, "dma_set_coherent_mask" },
	{ 0x7cd67883, "devm_clk_get_optional" },
	{ 0xbb0a6aa3, "pm_runtime_forbid" },
	{ 0x7429f8c1, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x706e5e42, "__usb_create_hcd" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x781368a6, "dma_set_mask" },
	{ 0x32d1d88d, "usb_remove_hcd" },
	{ 0xd8f6096, "of_device_get_match_data" },
	{ 0x50095dcb, "__pm_runtime_disable" },
	{ 0x6bc0000, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0xcc7bda47, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0D10:*");
MODULE_ALIAS("of:N*T*Cgeneric-xhci");
MODULE_ALIAS("of:N*T*Cgeneric-xhciC*");
MODULE_ALIAS("of:N*T*Cxhci-platform");
MODULE_ALIAS("of:N*T*Cxhci-platformC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-375-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada-380-xhciC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhci");
MODULE_ALIAS("of:N*T*Cmarvell,armada3700-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2");
MODULE_ALIAS("of:N*T*Cbrcm,xhci-brcm-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-xhciC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhci");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7445-xhciC*");

MODULE_INFO(srcversion, "9D899000B68E1B2A99C5FF6");
MODULE_INFO(rhelversion, "9.6");
