#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0xbac0c9a6, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x4351ce94, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0xbccb8d96, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0xa4d9bd3b, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0xe254ee75, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0x839e2a96, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0x55e4bc52, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x26ec836b, "_gpl");
SYMBOL_CRC(ip_set_test, 0x1fcaf177, "_gpl");
SYMBOL_CRC(ip_set_add, 0x8ec0c1ac, "_gpl");
SYMBOL_CRC(ip_set_del, 0xb0997760, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0x779e3dd1, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x0c2a6642, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x1b9800ae, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0x8d2e1c71, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xe3c8baad, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x5c2ea01f, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x245d50ac, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x3861737b, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3f5d5360, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x74eef444, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0x474fdad, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x11dddf38, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc638947, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2f7b43ed, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x262cc859, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3255efbf, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x825247f9, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0x864f9604, "__alloc_skb" },
	{ 0x3759bc9a, "rt_write_unlock" },
	{ 0xaa7f0676, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xc1521b43, "nfnetlink_unicast" },
	{ 0x5792f848, "strlcpy" },
	{ 0x5a921311, "strncmp" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x27c54427, "ns_capable" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc2550de9, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5f7d3235, "nfnetlink_subsys_unregister" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x27a4126a, "skb_trim" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5760d6c9, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x4731b5a6, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc740d90a, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe40772e1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "CFBDF39E30823140846790B");
MODULE_INFO(rhelversion, "9.6");
