#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xeeb112b4, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x7743638e, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xc33b4424, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x54dde56a, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x9ed432b5, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x905dc556, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa82f28ed, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x51e9c5e4, "nsh_pop" },
	{ 0x62ffedd4, "nf_conntrack_find_get" },
	{ 0xc46dd144, "nf_ct_set_timeout" },
	{ 0x81401991, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x74eef444, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x893266d8, "dev_fill_metadata_dst" },
	{ 0x5ede2c6e, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2057d75d, "nf_ct_handle_fragments" },
	{ 0x3f5f300b, "eth_mac_addr" },
	{ 0xe254f780, "skb_put" },
	{ 0xe04909c8, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92458ad2, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x32354366, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x978f5cea, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf40a8a1, "skb_eth_pop" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0x3cdb3cd0, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb753fd42, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xc783e3e6, "nf_ct_helper" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x417abcb4, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x5ca2b920, "rtnl_delete_link" },
	{ 0x1fa3d670, "rtnl_link_register" },
	{ 0xd29e881e, "nf_connlabels_put" },
	{ 0x8e350e26, "genlmsg_put" },
	{ 0x4a0618c6, "___pskb_trim" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeea18141, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xba0c369e, "dev_set_promiscuity" },
	{ 0x7926a534, "nf_ct_destroy_timeout" },
	{ 0x2ccfc62, "nf_ct_add_helper" },
	{ 0x5a17994c, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdd311a4b, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc28337b2, "nf_ct_skb_network_trim" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0x2ba2804, "unregister_netdevice_queue" },
	{ 0x800af422, "kmem_cache_create" },
	{ 0x670b04b6, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x916758a3, "node_states" },
	{ 0xdd4265e3, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x12534f3, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3d171c2f, "pskb_expand_head" },
	{ 0x640c6aaa, "skb_csum_hwoffload_help" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0x78b16bba, "nf_connlabels_replace" },
	{ 0x609ed03f, "eth_type_trans" },
	{ 0x974b870b, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x3be21712, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xae331a8e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0xa55fdde1, "skb_eth_push" },
	{ 0xec34d008, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x864f9604, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xa814714d, "kmem_cache_alloc" },
	{ 0xf2a2813, "skb_mpls_pop" },
	{ 0xea815c52, "skb_vlan_pop" },
	{ 0x4722280d, "dst_init" },
	{ 0xaa7f0676, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x28f51b75, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x29ce91bc, "rtnl_link_unregister" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0x21f13375, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x8629c261, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x82049e71, "skb_mpls_update_lse" },
	{ 0xec18fd31, "skb_pull" },
	{ 0xfc1137fa, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x40719ad7, "netlink_unicast" },
	{ 0xc91e7e58, "bpf_trace_run5" },
	{ 0xc551593f, "dev_get_by_index_rcu" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xa00c5819, "skb_push" },
	{ 0x150c4526, "kmem_cache_free" },
	{ 0x6b9f7cc, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0xa8cbb516, "skb_ensure_writable" },
	{ 0xff55b07d, "free_netdev" },
	{ 0xef47c02e, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x81b5ca12, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1136fcba, "ethtool_op_get_link" },
	{ 0xba18af96, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x783b55a5, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x712c9e7c, "__pskb_pull_tail" },
	{ 0xa4365b83, "nf_ct_delete" },
	{ 0xc47118c7, "nf_conncount_init" },
	{ 0xd6b0d157, "skb_vlan_push" },
	{ 0xa1079e90, "dev_get_tstats64" },
	{ 0x3869aeea, "netif_rx" },
	{ 0xaac42e14, "__netdev_alloc_skb" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x5d423908, "netdev_master_upper_dev_link" },
	{ 0x34360ae1, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1afae1f2, "down_read" },
	{ 0x859059f5, "inet_proto_csum_replace16" },
	{ 0x27a4126a, "skb_trim" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x65fa359a, "skb_scrub_packet" },
	{ 0xa52e998a, "nf_ct_deliver_cached_events" },
	{ 0x635d78bb, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xd57f7e5, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x4b28c383, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0x749267f1, "__skb_checksum" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x34aa55ba, "inet_proto_csum_replace4" },
	{ 0x21e4c017, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xb01f87ac, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7c72a699, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd6f96e46, "dev_get_by_name" },
	{ 0xee74f894, "skb_clone" },
	{ 0x597f338d, "metadata_dst_alloc" },
	{ 0x75876e0d, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5c2edc15, "peernet2id_alloc" },
	{ 0xe3ab18b9, "nf_ct_get_tuplepr" },
	{ 0x1ab6deae, "netdev_rx_handler_register" },
	{ 0x975a8f7f, "ip_do_fragment" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa1363cd2, "genl_unregister_family" },
	{ 0x63dd7630, "dev_disable_lro" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xcbc8efc6, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe66bcde2, "genl_register_family" },
	{ 0xa998a030, "nf_ct_tmpl_free" },
	{ 0x5db71c1, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xfdc21527, "__skb_gso_segment" },
	{ 0x909319f, "up_read" },
	{ 0x36a722f, "skb_mpls_push" },
	{ 0x65cc0fa2, "register_pernet_device" },
	{ 0x2c34bbfb, "nf_conntrack_in" },
	{ 0x79327608, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x25c21551, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x35e5912c, "kmem_cache_destroy" },
	{ 0xfa43355a, "__skb_vlan_pop" },
	{ 0x9ad0a425, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb1328109, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "DFCEEAE1EC4CAC0BF77A489");
MODULE_INFO(rhelversion, "9.6");
