#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0x7a164f25, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0xc46ac4f3, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x5aed9f38, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x17405bf2, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x50b11b99, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0xd13a385a, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x0140ddf6, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xe0c8cb4b, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x1728d23c, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0xe66a6416, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0xecb68085, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x080585e3, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x3191bb9a, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x53ec5348, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x7f8f41b9, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0xf9e7a35a, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x90a7c207, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x35d46b74, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0x926b6bf5, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x85bd673e, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x4b4121ae, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0x6b27b494, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x740c4d4a, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0x105c18ac, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x5e27bbe1, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x3fbd7a4b, "sock_map_close" },
	{ 0x56c490a1, "sock_queue_rcv_skb_reason" },
	{ 0x74eef444, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6d84af1, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32354366, "consume_skb" },
	{ 0x3ece5c48, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4938d029, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9a1f85c0, "sock_map_unhash" },
	{ 0xf3614629, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x866236ee, "__module_get" },
	{ 0xbf36cb52, "sk_stream_error" },
	{ 0xabea70af, "sk_msg_recvmsg" },
	{ 0xc9f4d2de, "ns_capable_noaudit" },
	{ 0xaae6d283, "__put_cred" },
	{ 0xfd892bb9, "sk_error_report" },
	{ 0x15444802, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1327434, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf25d0259, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3759bc9a, "rt_write_unlock" },
	{ 0xc3eaff1, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xaa7f0676, "module_put" },
	{ 0x946f3f8d, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x7a9a9d23, "sk_free" },
	{ 0xba6910ca, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xf2aea2f8, "sock_no_listen" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xa9633892, "sock_recv_errqueue" },
	{ 0x2d2dca8d, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x605dc92f, "mutex_lock_interruptible" },
	{ 0xfb292f54, "sk_alloc" },
	{ 0x4bccf186, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x5cc7ac2d, "misc_register" },
	{ 0x8ea0cf2b, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x3e9b327e, "sock_no_sendpage" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xf26590cb, "nonseekable_open" },
	{ 0x7b0e745, "sk_psock_drop" },
	{ 0x4b28c383, "__dev_queue_xmit" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xee74f894, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc740d90a, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd08d5b37, "remove_wait_queue" },
	{ 0xf29e141f, "sock_no_ioctl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf11be01d, "sock_setsockopt" },
	{ 0x5bc0119d, "sock_init_data" },
	{ 0x1aca9c93, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F3DDBF114383C9B4C352D27");
MODULE_INFO(rhelversion, "9.6");
