#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_chandef, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_gen_new_ie, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_free_coloc_ap_list, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_iter_rnr, "_gpl", "");
KSYMTAB_FUNC(cfg80211_parse_colocated_ap, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_primary, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(wiphy_read_of_freq_limits, "", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x8d4d6e73, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xa83fb375, "");
SYMBOL_CRC(wiphy_register, 0xc87a4dd8, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0xade74f3f, "");
SYMBOL_CRC(wiphy_unregister, 0x2eca9aae, "");
SYMBOL_CRC(wiphy_free, 0x9bacf895, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xd829d847, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0xa249e25b, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x903725cd, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0xc70e213c, "");
SYMBOL_CRC(wiphy_work_queue, 0x1cdbf2d1, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0xe8bd5aba, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x7ca204a6, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0xdf4d81fe, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0xdfe20c5a, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0x2e8f1ace, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xcf75bd58, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0xb91162d7, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0x88624f16, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x37f830e8, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x55402a98, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xf38a6c60, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0x68aabb22, "");
SYMBOL_CRC(cfg80211_classify8021d, 0xecf7949b, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x246bb015, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_operating_class_to_chandef, 0x345fa8cc, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xefab0596, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xce215a49, "");
SYMBOL_CRC(cfg80211_check_combinations, 0xaf77751e, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0xe38cc273, "");
SYMBOL_CRC(cfg80211_get_station, 0x3617d978, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0x18366c5d, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x70e6d6f7, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0xfc3683a2, "");
SYMBOL_CRC(get_wiphy_regdom, 0x60c99b07, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0xb22829e6, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x2f82a6c6, "");
SYMBOL_CRC(regulatory_hint, 0x3a453f54, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xfe4236ed, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0xb4946109, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0x4840176f, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_gen_new_ie, 0xd949fe38, "");
SYMBOL_CRC(cfg80211_free_coloc_ap_list, 0x6563568b, "");
SYMBOL_CRC(cfg80211_iter_rnr, 0x646c544c, "_gpl");
SYMBOL_CRC(cfg80211_parse_colocated_ap, 0xe23bea70, "");
SYMBOL_CRC(cfg80211_scan_done, 0x96ee836f, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xee6cbf9d, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0x3be59ca6, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0xadf0ae4c, "");
SYMBOL_CRC(cfg80211_bss_flush, 0x2f200fb1, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x94822f3b, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0xbf495a76, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x1295261e, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x126c8169, "");
SYMBOL_CRC(cfg80211_put_bss, 0x124227e5, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xfb364a6b, "");
SYMBOL_CRC(cfg80211_bss_iter, 0x5fd5628b, "");
SYMBOL_CRC(nl80211_send_chandef, 0xc99cbc40, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x8a98a507, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x30e812f6, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x8cbe7d1b, "");
SYMBOL_CRC(cfg80211_nan_match, 0xd89714fb, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xe098a9c8, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0xb3beef60, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0x824b8be4, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x7105eb7f, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0xa7711f68, "");
SYMBOL_CRC(cfg80211_links_removed, 0x6e46ccc4, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0xa7d4132c, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x5dda72e6, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x13ede540, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x4bec8c2f, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x3e5c2513, "");
SYMBOL_CRC(cfg80211_new_sta, 0xf715cfb9, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0xc8976c72, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x06820e4d, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0x963a65f3, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x1e82837c, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xc9fec8a1, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0xdf61ea55, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0x75105049, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0xa7de4e3f, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x525c6874, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0x0906e3af, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x8aed1be3, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0xd8b499a6, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0x96618d2a, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0xcc70389a, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x7d305085, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xae7afb3b, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xbf5f4401, "");
SYMBOL_CRC(cfg80211_probe_status, 0x49fb2628, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0x35a79252, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0x70c8e30b, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x098aae17, "");
SYMBOL_CRC(cfg80211_ft_event, 0x8d365e75, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x36c95faa, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0x4e7b6c8c, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x0d0b3bff, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x5d6a6900, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x04cfee21, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x40d6ff0b, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x5fbb6b6b, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xceaa6c15, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0x4fe437a3, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x08f96c0c, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x888b6599, "");
SYMBOL_CRC(__cfg80211_radar_event, 0x062e4241, "");
SYMBOL_CRC(cfg80211_cac_event, 0xecf14d0c, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0xc5c3c4f2, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0x601d4fa5, "");
SYMBOL_CRC(cfg80211_connect_done, 0xf35de528, "");
SYMBOL_CRC(cfg80211_roamed, 0x2794b5b7, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xc34ac4cc, "");
SYMBOL_CRC(cfg80211_disconnected, 0xb551d5e0, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x23026b4b, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x538f32f2, "");
SYMBOL_CRC(cfg80211_chandef_primary, 0x9ce5d166, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xf7be8ee8, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0xd49a0ce1, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xcd5dbdd7, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x77332dc3, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0x05f02108, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0x67dfd8ff, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0xa8fb2af3, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0x6e9bb61b, "");
SYMBOL_CRC(wdev_chandef, 0x1a1b827f, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x61dbe81e, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xa79b9830, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0x7457048b, "_gpl");
SYMBOL_CRC(wiphy_read_of_freq_limits, 0xa14ef1ea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xb0b78ea2, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xca9834ef, "verify_pkcs7_signature" },
	{ 0x5ede2c6e, "bpf_trace_run4" },
	{ 0xf82dd0d9, "skb_copy_bits" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xe254f780, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xb7715d4d, "dev_set_name" },
	{ 0x32354366, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x26cac303, "__nla_validate" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x161a3131, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xac39774f, "bpf_trace_run6" },
	{ 0xfd7618d8, "rt_mutex_base_init" },
	{ 0x3ece5c48, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9bfc6bca, "request_firmware" },
	{ 0x6bde0fb6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4bea7d50, "device_initialize" },
	{ 0xd31a2136, "skb_add_rx_frag" },
	{ 0x8e350e26, "genlmsg_put" },
	{ 0xcc8b858b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x13639d34, "bpf_trace_run2" },
	{ 0x3d97c48c, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x53799ea5, "genlmsg_multicast_allns" },
	{ 0xb3f3f668, "event_triggers_call" },
	{ 0x75e2a4c8, "__wake_up" },
	{ 0x2ba2804, "unregister_netdevice_queue" },
	{ 0x7a83a15e, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x12534f3, "netlink_broadcast_filtered" },
	{ 0x81d10977, "keyring_alloc" },
	{ 0x47d3b443, "netdev_err" },
	{ 0xfa86bbb1, "device_rename" },
	{ 0x42414625, "trace_event_buffer_commit" },
	{ 0x609ed03f, "eth_type_trans" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7ff49eec, "put_device" },
	{ 0xf71e5b31, "trace_event_ignore_this_pid" },
	{ 0xff27c963, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x864f9604, "__alloc_skb" },
	{ 0x21da21a8, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0x33810645, "inet_csk_get_port" },
	{ 0x3075563f, "key_put" },
	{ 0xc8a1ec65, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xad9aaeec, "__dev_get_by_index" },
	{ 0x9090f16, "perf_trace_run_bpf_submit" },
	{ 0x8376296a, "_dev_err" },
	{ 0x21f13375, "init_net" },
	{ 0x517d5676, "request_firmware_nowait" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xec18fd31, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x698dcb10, "device_add" },
	{ 0x79106468, "sysfs_remove_link" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9437e17f, "init_uts_ns" },
	{ 0xdb2f9913, "platform_device_unregister" },
	{ 0x7950dcf3, "sk_skb_reason_drop" },
	{ 0x40719ad7, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x89c48ee, "dev_get_by_index" },
	{ 0xc91e7e58, "bpf_trace_run5" },
	{ 0xc6803101, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xefff028a, "mutex_lock" },
	{ 0xa00c5819, "skb_push" },
	{ 0xee30f67a, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0x756d8b32, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xbb863800, "of_find_property" },
	{ 0x2ffb66c7, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x81b5ca12, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc0015bd0, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x41c96f39, "bpf_trace_run1" },
	{ 0x4fb70a2d, "device_del" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x8ac2f6ce, "param_ops_charp" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd6fee9cf, "__init_waitqueue_head" },
	{ 0x712c9e7c, "__pskb_pull_tail" },
	{ 0x3869aeea, "netif_rx" },
	{ 0xaac42e14, "__netdev_alloc_skb" },
	{ 0xe13a31fc, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x27a4126a, "skb_trim" },
	{ 0x8730274, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb450c1fc, "of_prop_next_u32" },
	{ 0xa9a4e9c7, "bpf_trace_run3" },
	{ 0x7666790b, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7aeefde5, "get_net_ns_by_pid" },
	{ 0xc3c972ed, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9390b25e, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb11ea7c, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0xb0f1eacc, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbd560035, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xda02b9bc, "x509_load_certificate_list" },
	{ 0x485d7e0d, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xa1363cd2, "genl_unregister_family" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8c3c4a24, "bpf_trace_run7" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe40772e1, "param_ops_int" },
	{ 0xc92e3963, "debugfs_create_dir" },
	{ 0xe66bcde2, "genl_register_family" },
	{ 0x4702440d, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x65cc0fa2, "register_pernet_device" },
	{ 0x5880c56f, "__mutex_rt_init" },
	{ 0xdb5f83ad, "get_net_ns_by_fd" },
	{ 0x84446a3b, "class_register" },
	{ 0xa26ddd0d, "bpf_trace_run11" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb1328109, "register_netdevice" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "17C7AA6702EF02A0A6FED1F");
MODULE_INFO(rhelversion, "9.6");
