#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(key_type_trusted, "_gpl", "");
KSYMTAB_FUNC(TSS_authhmac, "_gpl", "");
KSYMTAB_FUNC(TSS_checkhmac1, "_gpl", "");
KSYMTAB_FUNC(trusted_tpm_send, "_gpl", "");
KSYMTAB_FUNC(oiap, "_gpl", "");

SYMBOL_CRC(key_type_trusted, 0x69a264bc, "_gpl");
SYMBOL_CRC(TSS_authhmac, 0x79470a2c, "_gpl");
SYMBOL_CRC(TSS_checkhmac1, 0xde6f1851, "_gpl");
SYMBOL_CRC(trusted_tpm_send, 0xc4a72936, "_gpl");
SYMBOL_CRC(oiap, 0x73cc8631, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd1cca49f, "tpm_transmit_cmd" },
	{ 0xa4c00324, "asn1_encode_octet_string" },
	{ 0xf05a52fe, "asn1_encode_oid" },
	{ 0x8180cede, "asn1_encode_sequence" },
	{ 0xea6efc06, "look_up_OID" },
	{ 0x49741e62, "unregister_key_type" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x501cb586, "tpm2_flush_context" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x2cec2ebf, "register_key_type" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xa8bdcb9c, "crypto_destroy_tfm" },
	{ 0xab4cdf12, "tpm_try_get_ops" },
	{ 0x7ad02a41, "asn1_encode_tag" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7ff49eec, "put_device" },
	{ 0x8b89f080, "tpm_get_random" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9a3a4589, "tpm_default_chip" },
	{ 0xa9ef97bf, "crypto_shash_setkey" },
	{ 0x1bae254b, "user_describe" },
	{ 0x5a921311, "strncmp" },
	{ 0x2d50c298, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3ed566ef, "tpm_pcr_extend" },
	{ 0xcd24e146, "hash_digest_size" },
	{ 0xc284a99a, "crypto_shash_update" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x8ac2f6ce, "param_ops_charp" },
	{ 0x9f7dba98, "tpm_send" },
	{ 0xc3c4c6cc, "hash_algo_name" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7e64fc2, "asn1_encode_integer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x15550995, "tpm_is_tpm2" },
	{ 0x3d3bad03, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x44e9a829, "match_token" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4818223f, "key_payload_reserve" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfe7ee6fd, "tpm_put_ops" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cc07e39, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0xac004ed8, "crypto_alloc_shash" },
	{ 0x91ea8726, "asn1_encode_boolean" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4f2b778d, "kmalloc_caches" },
	{ 0x90b7552e, "module_layout" },
};

MODULE_INFO(depends, "asn1_encoder");


MODULE_INFO(srcversion, "45D25DB187D2B9407D5966F");
MODULE_INFO(rhelversion, "9.6");
